#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x08657679, "");
SYMBOL_CRC(drm_gem_vram_put, 0x4341ea87, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x3c20796c, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x64b5cac7, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x8e96c248, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x585b5d90, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x7eed6784, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xe122f353, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xce870812, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xfbc679d0, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xdb41ab82, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x5fc30d22, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xf1483fc3, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xdc414e20, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xe05dfc91, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x87c2be4e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x684183d4, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8cccd09, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x997aca10, "drm_gem_object_release" },
	{ 0xe051c968, "ttm_tt_init" },
	{ 0x9a60176, "drm_gem_handle_create" },
	{ 0xd8308e04, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9a71d9c1, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0x3fc02d36, "drm_debugfs_add_files" },
	{ 0xa13470ea, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd6cf3331, "ttm_device_init" },
	{ 0x682d6d25, "ttm_bo_validate" },
	{ 0x319ca4d1, "ttm_bo_move_to_lru_tail" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xf5889db8, "ttm_bo_vmap" },
	{ 0x31d42574, "ttm_bo_put" },
	{ 0x23c61acb, "ttm_resource_free" },
	{ 0xf3915e6a, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdb1ac790, "ttm_tt_fini" },
	{ 0x5459794d, "ttm_device_fini" },
	{ 0xf9694ab2, "drm_gem_plane_helper_prepare_fb" },
	{ 0xf1ceef5b, "ttm_bo_eviction_valuable" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xc0616a45, "drm_gem_ttm_print_info" },
	{ 0xe3704e51, "ttm_range_man_init_nocheck" },
	{ 0xe8d36a2f, "ww_mutex_lock_interruptible" },
	{ 0xacfed1ea, "ttm_resource_manager_debug" },
	{ 0xe9bf23f6, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1e989c8, "ttm_range_man_fini_nocheck" },
	{ 0x43fe58bb, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x293f88e1, "ttm_bo_pin" },
	{ 0xc5d82f89, "dev_driver_string" },
	{ 0x25c9a8a1, "drm_gem_ttm_mmap" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
