#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0xf7e477e9, "kmem_cache_size" },
	{ 0xc38dc7d7, "dma_unmap_page_attrs" },
	{ 0x6f29b46f, "kmem_cache_free" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbb403373, "ib_destroy_srq_user" },
	{ 0xf02f1975, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x7aaf2ca2, "core_tpg_register" },
	{ 0x55530195, "target_stop_session" },
	{ 0x80d4ec9a, "target_wait_for_sess_cmds" },
	{ 0x5d46d665, "target_remove_session" },
	{ 0xc7cba47f, "ib_destroy_cm_id" },
	{ 0x6e29ece6, "ib_destroy_qp_user" },
	{ 0x685cf57, "ib_cq_pool_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7e5ab95b, "dma_map_page_attrs" },
	{ 0xefe398e8, "kmem_cache_alloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc5d82f89, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2684c3f9, "ib_create_srq_user" },
	{ 0xa244a1d5, "kmem_cache_create" },
	{ 0x39ebc97c, "rdma_disconnect" },
	{ 0x51164ec5, "ib_send_cm_dreq" },
	{ 0xa45d203c, "ib_send_cm_drep" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf0c62ddf, "ib_unregister_event_handler" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1123eace, "ib_set_client_data" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6df9ca7, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5d7b9c06, "ib_dealloc_pd_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf6b50f63, "ib_send_cm_rej" },
	{ 0x4d740d22, "rdma_reject" },
	{ 0xbd67163f, "ib_cq_pool_get" },
	{ 0xf4a89d53, "rdma_create_qp" },
	{ 0xe86fd83d, "ib_create_qp_kernel" },
	{ 0xe31d353a, "ib_find_cached_pkey" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdbe4118e, "target_setup_session" },
	{ 0x369bfef, "rdma_accept" },
	{ 0x4fadca88, "ib_send_cm_rep" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x93a6176c, "__ib_alloc_pd" },
	{ 0xb17a4c84, "rdma_port_get_link_layer" },
	{ 0x2b0f382f, "ib_cm_listen" },
	{ 0xcd8d53e7, "ib_register_event_handler" },
	{ 0xbabb670c, "ib_create_cm_id" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x4f380344, "target_register_template" },
	{ 0xd27c4fab, "ib_register_client" },
	{ 0xf40873dc, "target_unregister_template" },
	{ 0x6fbe9779, "ib_modify_port" },
	{ 0x7f9fc5b4, "ib_unregister_mad_agent" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa6257a2f, "complete" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d44bf4a, "rdma_notify" },
	{ 0xc5d577ba, "ib_cm_notify" },
	{ 0x91071ae9, "ib_cm_init_qp_attr" },
	{ 0xe94a38a4, "ib_modify_qp" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf4c6663e, "init_net" },
	{ 0x3d6aee5c, "__rdma_create_kernel_id" },
	{ 0xb458221b, "rdma_bind_addr" },
	{ 0xc4f98838, "rdma_listen" },
	{ 0x5b9bde86, "rdma_destroy_id" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x754d539c, "strlen" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc9606651, "inet_pton_with_scope" },
	{ 0xbc08f489, "core_tpg_deregister" },
	{ 0xc91bf7d4, "target_put_sess_cmd" },
	{ 0xa0d78265, "target_execute_cmd" },
	{ 0xc71b3633, "rdma_rw_ctx_wrs" },
	{ 0xc339bbb5, "ib_unregister_client" },
	{ 0xcde79161, "ib_create_ah_from_wc" },
	{ 0x47f4eff0, "ib_create_send_mad" },
	{ 0x9ee39e41, "ib_post_send_mad" },
	{ 0xf69b7c07, "ib_free_send_mad" },
	{ 0x61208bae, "rdma_destroy_ah_user" },
	{ 0x3d53b047, "ib_free_recv_mad" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaefbcacd, "target_alloc_sgl" },
	{ 0x3d4085b8, "rdma_rw_ctx_init" },
	{ 0xb378af7e, "rdma_rw_ctx_destroy" },
	{ 0x5bdb610a, "target_free_sgl" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ae34c6a, "dma_sync_single_for_device" },
	{ 0xf9464386, "transport_generic_free_cmd" },
	{ 0xd38f0eb4, "transport_generic_request_failure" },
	{ 0x65ab680, "dma_sync_single_for_cpu" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x4522be59, "target_submit_tmr" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0xd9e880e3, "target_init_cmd" },
	{ 0xe283c436, "target_send_busy" },
	{ 0xd4f1a9bc, "target_submit_prep" },
	{ 0xaf48015, "target_submit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf7212dae, "ib_query_port" },
	{ 0x23ecebda, "rdma_query_gid" },
	{ 0xf47e75fd, "ib_register_mad_agent" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "ib_core,target_core_mod,ib_cm,rdma_cm,scsi_common");


MODULE_INFO(srcversion, "93D2306A30FCCD928C77BBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
