#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(saa7146_vv_init, "_gpl", "");
KSYMTAB_FUNC(saa7146_vv_release, "_gpl", "");
KSYMTAB_FUNC(saa7146_register_device, "_gpl", "");
KSYMTAB_FUNC(saa7146_unregister_device, "_gpl", "");
KSYMTAB_FUNC(saa7146_set_hps_source_and_sync, "_gpl", "");

SYMBOL_CRC(saa7146_vv_init, 0xbbbc6565, "_gpl");
SYMBOL_CRC(saa7146_vv_release, 0x967c784b, "_gpl");
SYMBOL_CRC(saa7146_register_device, 0xd820fd8c, "_gpl");
SYMBOL_CRC(saa7146_unregister_device, 0x6d3a4937, "_gpl");
SYMBOL_CRC(saa7146_set_hps_source_and_sync, 0x05e54f9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29741224, "vb2_ioctl_dqbuf" },
	{ 0x24a5c1e, "vb2_ioctl_create_bufs" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9d7e81c4, "dma_alloc_attrs" },
	{ 0xa38b0de1, "saa7146_pgtable_build_single" },
	{ 0x7642db94, "vb2_buffer_done" },
	{ 0x8901085, "v4l2_ctrl_subscribe_event" },
	{ 0x21f1a6fe, "video_unregister_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xce2a8da, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3c8715a5, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc32693b2, "saa7146_pgtable_alloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1c8859ac, "vb2_fop_read" },
	{ 0x60f5e59c, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9fba985, "dma_free_attrs" },
	{ 0xd7476b81, "saa7146_pgtable_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x951a214b, "__video_register_device" },
	{ 0xb1d03609, "vb2_ops_wait_prepare" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf5205c39, "vb2_ioctl_streamon" },
	{ 0xc19e9f87, "vb2_fop_poll" },
	{ 0xe301223c, "v4l2_ctrl_new_std" },
	{ 0x83ea212f, "v4l2_ctrl_handler_free" },
	{ 0xdb1521a8, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa3309ead, "video_device_release_empty" },
	{ 0x9217fb93, "v4l2_event_unsubscribe" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xd0516796, "vb2_ioctl_reqbufs" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xcce62a52, "vb2_queue_init" },
	{ 0x503d9e15, "vb2_dma_sg_memops" },
	{ 0xcf33005d, "video_ioctl2" },
	{ 0x13bed34, "vb2_ioctl_streamoff" },
	{ 0x8af96cd9, "vb2_ops_wait_finish" },
	{ 0x51ec22b6, "v4l2_ctrl_handler_init_class" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd4bd6c, "vb2_ioctl_querybuf" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa12ea410, "v4l2_fh_open" },
	{ 0xe3cd9b5c, "saa7146_debug" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2e65496, "video_devdata" },
	{ 0xe31df6f6, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0x3adbd595, "v4l2_field_names" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x21047a4c, "vb2_plane_cookie" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,saa7146,videobuf2-common,videodev,videobuf2-dma-sg");


MODULE_INFO(srcversion, "925B8D93FAB5299CBA1C9AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
