#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x7353cb7e, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x998e8dbf, "_gpl");
SYMBOL_CRC(media_device_init, 0x11aa9c27, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xa17563ee, "_gpl");
SYMBOL_CRC(__media_device_register, 0x7f19debf, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x5b8b5110, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xd0419feb, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xf4e46b96, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x549ab720, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x7d89f762, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x23c9614b, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x71cf0f5d, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x9bfe9007, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xd8f41152, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xc742d63d, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xa11c9fc0, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x481ff388, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x2a87c533, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xe57b7a70, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x3227a6d7, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x382f6d01, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x03df002a, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x8929f92b, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x3f61ca70, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xc4078add, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x2e6c2f7e, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xe12dc879, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xf9916c4a, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xc3a84f68, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xa727c36e, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xecff9081, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x5ae4d63f, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xeb30543c, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x121096c6, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x5f9a0807, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x776f32e7, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x71e07a09, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xccb395aa, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x5a7e18ba, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xf81ce85a, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xcfe4f4db, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xe367d4bc, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xb9f16c7b, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xaa459ac3, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x7f1fe204, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x017d761f, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x7cf1ce85, "_gpl");
SYMBOL_CRC(media_request_put, 0x543083f4, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x80458c02, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xb618430d, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x4e4981c3, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x3aa1c351, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xe54aa3b6, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x7f7130b1, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x32887140, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xc505ff05, "_gpl");
SYMBOL_CRC(media_device_delete, 0xfe439496, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xee13ad9d, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x659a2e93, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b72da9f, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa035bacb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe2034033, "device_create_file" },
	{ 0x4bb721ae, "bus_unregister" },
	{ 0x3ab452e2, "fput" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9aedfc30, "platform_bus_type" },
	{ 0x5a6f4e7a, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5435be75, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x10cde308, "pci_bus_type" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x621c8261, "device_remove_file" },
	{ 0x9b8140dd, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xd8b02555, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc4f6966a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb2cb7f49, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x894d8780, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfed9ce2a, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x13ef85d1, "get_device" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "59B2EB7AF61D9581B4569C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
