#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x46744d02, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x2575d0b1, "");
SYMBOL_CRC(bttv_sub_unregister, 0x1b88f64c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7642db94, "vb2_buffer_done" },
	{ 0x2340af69, "driver_unregister" },
	{ 0x8dbfd5f0, "vb2_plane_vaddr" },
	{ 0x8901085, "v4l2_ctrl_subscribe_event" },
	{ 0x77cec34d, "snd_tea575x_s_hw_freq_seek" },
	{ 0xde80cd09, "ioremap" },
	{ 0x21f1a6fe, "video_unregister_device" },
	{ 0x6f66bcc0, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd990cc19, "i2c_new_client_device" },
	{ 0xce2a8da, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3c8715a5, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaba9e873, "device_register" },
	{ 0x2646448b, "rc_free_device" },
	{ 0xaee8f61e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1c8859ac, "vb2_fop_read" },
	{ 0x60f5e59c, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x79bca60b, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7776be40, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9fba985, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4c64682a, "snd_tea575x_hw_init" },
	{ 0x951a214b, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x79660f91, "pci_write_config_byte" },
	{ 0xb1d03609, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf5205c39, "vb2_ioctl_streamon" },
	{ 0xc19e9f87, "vb2_fop_poll" },
	{ 0xe301223c, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x83ea212f, "v4l2_ctrl_handler_free" },
	{ 0xdb1521a8, "v4l2_device_unregister" },
	{ 0xdfa1e070, "pci_disable_device" },
	{ 0x993f3d3d, "vb2_wait_for_all_buffers" },
	{ 0x4143c233, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf53ae44, "v4l2_subdev_call_wrappers" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x4e68e6f1, "v4l2_i2c_new_subdev" },
	{ 0xc7d811f3, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa3309ead, "video_device_release_empty" },
	{ 0x8a2247cc, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcf4335b0, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9217fb93, "v4l2_event_unsubscribe" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9b8140dd, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd0516796, "vb2_ioctl_reqbufs" },
	{ 0xcce62a52, "vb2_queue_init" },
	{ 0x90e7262f, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x503d9e15, "vb2_dma_sg_memops" },
	{ 0x66f039fd, "v4l2_ctrl_poll" },
	{ 0xcf33005d, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc3622c92, "pci_enable_device" },
	{ 0x13bed34, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x485f99ec, "v4l2_ctrl_radio_filter" },
	{ 0xc4f6966a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdb142812, "i2c_bit_add_bus" },
	{ 0x5f852398, "v4l2_ctrl_add_handler" },
	{ 0x7bac8681, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x566bbe9, "pci_get_device" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0x8af96cd9, "vb2_ops_wait_finish" },
	{ 0x2287c8d, "__pci_register_driver" },
	{ 0x51ec22b6, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x194760ac, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd4bd6c, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd2756e78, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa12ea410, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92536668, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xbfd9d43e, "v4l2_ctrl_handler_log_status" },
	{ 0xd31d90d9, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2e65496, "video_devdata" },
	{ 0x659a2e93, "put_device" },
	{ 0xe31df6f6, "vb2_fop_release" },
	{ 0x2324d050, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe1a0f653, "v4l2_ctrl_find" },
	{ 0x1141537e, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xda1801c6, "__v4l2_ctrl_s_ctrl" },
	{ 0x21047a4c, "vb2_plane_cookie" },
	{ 0xe2034033, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x927dcba, "rc_keyup" },
	{ 0x29741224, "vb2_ioctl_dqbuf" },
	{ 0x4bb721ae, "bus_unregister" },
	{ 0x24a5c1e, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc103bb7b, "tveeprom_read" },
	{ 0xe7728a45, "v4l2_ctrl_new_custom" },
	{ 0x6bb1328f, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1cb5ba0f, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb1e1fd42, "rc_register_device" },
	{ 0x9d7e81c4, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xaab6e256, "rc_keydown" },
	{ 0x8f8555fd, "snd_tea575x_enum_freq_bands" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,videodev,tea575x,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5A435C3ED33F397E430CE56");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
