#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x5b51aaa4, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xf7ad4789, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xf9d2bd3f, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xce58197b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x280edc4, "unregister_netdevice_queue" },
	{ 0xc25afd6, "netdev_upper_dev_unlink" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0x2a6b04ba, "dev_uc_add" },
	{ 0x5a57a164, "dev_set_mtu" },
	{ 0x66836968, "netif_inherit_tso_max" },
	{ 0x677e989c, "netdev_update_features" },
	{ 0xf9e46486, "netif_stacked_transfer_operstate" },
	{ 0xa92301c, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc1f6d8ec, "skb_clone" },
	{ 0xdbbab9a5, "netif_rx" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdfb1c6c7, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6df9ca7, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x280e794f, "__dev_queue_xmit" },
	{ 0xe741d17, "dev_forward_skb" },
	{ 0x2612bdf6, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x31454943, "__netif_rx" },
	{ 0xeafcfc98, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xef4176e9, "netdev_core_stats_inc" },
	{ 0xa79abed, "__dev_get_by_index" },
	{ 0xbe782959, "netdev_is_rx_handler_busy" },
	{ 0x8055910, "netdev_rx_handler_register" },
	{ 0x53fdd57a, "register_netdevice" },
	{ 0xe8871485, "netdev_upper_dev_link" },
	{ 0x393ad0c0, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6f155277, "dev_uc_sync" },
	{ 0xf950f147, "dev_mc_sync" },
	{ 0x2650f31e, "passthru_features_check" },
	{ 0x9173f228, "eth_validate_addr" },
	{ 0xd1b259ab, "ndo_dflt_fdb_dump" },
	{ 0xe969595e, "ethtool_op_get_link" },
	{ 0xc6832ad7, "eth_header_parse" },
	{ 0x8471933, "eth_header_cache" },
	{ 0x7e410333, "eth_header_cache_update" },
	{ 0xa42dda5b, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47c47b2c, "ether_setup" },
	{ 0x30c6000f, "__ethtool_get_link_ksettings" },
	{ 0xb3f23395, "ethtool_get_ts_info_by_layer" },
	{ 0xf4c6663e, "init_net" },
	{ 0xa9ddf6aa, "generic_hwtstamp_set_lower" },
	{ 0x80c6b632, "generic_hwtstamp_get_lower" },
	{ 0xf1a8747a, "dev_mc_del" },
	{ 0xd7e70175, "dev_uc_del" },
	{ 0xda971e75, "dev_mc_add_excl" },
	{ 0xbc3e90d3, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xdbe0df38, "__netpoll_free" },
	{ 0x7941719e, "vlan_vid_del" },
	{ 0x900f1733, "vlan_vid_add" },
	{ 0x702b25fa, "dev_set_allmulti" },
	{ 0xacbd3a2c, "dev_set_promiscuity" },
	{ 0xcf1c86d5, "dev_uc_unsync" },
	{ 0x5f85d431, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf7160284, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x64fc9f26, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1ca42594, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x297bd8d8, "rtnl_link_unregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x399830ac, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9D60142A21DC10CB553D14");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
