#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3fa360, "mt76x2_mcu_set_channel" },
	{ 0xe87a522c, "mt76x02_dma_disable" },
	{ 0x6655816a, "mt76x02_mcu_set_radio_state" },
	{ 0xf2c12fa5, "mt76_wake_tx_queue" },
	{ 0xb356ba72, "mt76x02e_init_beacon_config" },
	{ 0x8256c640, "mt76_get_antenna" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0xc2e6495d, "mt76_set_stream_caps" },
	{ 0x58100de7, "mt76x2_apply_gain_adj" },
	{ 0xc24210dc, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4c8a2adf, "pci_set_power_state" },
	{ 0xa98b85ac, "mt76x02_sta_ps" },
	{ 0xdc99bfda, "mt76x2_set_sar_specs" },
	{ 0xb2ef006, "mt76x02_sta_rate_tbl_update" },
	{ 0x5d2631c7, "kthread_park" },
	{ 0x4401f828, "mt76_dma_cleanup" },
	{ 0x92536668, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc78ab61c, "mt76x02_reconfig_complete" },
	{ 0x22395e9f, "mt76_alloc_device" },
	{ 0x23f7f653, "wake_up_process" },
	{ 0x6705c3d6, "mt76x02_mac_shared_key_setup" },
	{ 0xf90a6dc, "mt76x02_ext_pa_enabled" },
	{ 0xc24fa7a3, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73f860b, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x17085e08, "mt76x02_set_tx_ackto" },
	{ 0xdafbf81e, "mt76x02_update_channel" },
	{ 0x31caa191, "__napi_schedule" },
	{ 0x52b15f4d, "mt76x2_configure_tx_delay" },
	{ 0x9f06403c, "mt76_pci_disable_aspm" },
	{ 0x84841a5, "_dev_info" },
	{ 0xb1a520f3, "mt76x02_configure_filter" },
	{ 0x76e90b6e, "mt76_free_device" },
	{ 0xc4e39a57, "mt76x02_queue_rx_skb" },
	{ 0x1c672ed3, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe51434fe, "pcim_iomap_regions" },
	{ 0xcc1b78e1, "ieee80211_queue_delayed_work" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0xdc0eb489, "mt76x02_rx_poll_complete" },
	{ 0x81c68769, "mt76x02_mac_setaddr" },
	{ 0x9b320e3f, "mt76_register_device" },
	{ 0x7a4b71f0, "mt76_set_tim" },
	{ 0x1d8cbe38, "mt76x02_sw_scan_complete" },
	{ 0x170884f4, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd1b4c622, "mt76x02_phy_set_band" },
	{ 0x217f816c, "mt76_set_channel" },
	{ 0xcb83328, "mt76x02_init_device" },
	{ 0x94379a1d, "napi_enable" },
	{ 0x233274a5, "mt76x02_tx" },
	{ 0x14b8d91a, "mt76_mmio_init" },
	{ 0x4d993f70, "ieee80211_wake_queues" },
	{ 0x23e7a287, "mt76x02_sta_remove" },
	{ 0xc9311c0e, "mt76x02_edcca_init" },
	{ 0x139ba245, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe71f0b41, "mt76x02_sta_add" },
	{ 0x8123c772, "mt76_unregister_device" },
	{ 0x9191e213, "mt76x2_mcu_load_cr" },
	{ 0x5984f014, "pci_restore_state" },
	{ 0xbcc5878e, "mt76x2_init_txpower" },
	{ 0x9fff066e, "mt76x02_init_debugfs" },
	{ 0x7a268b68, "mt76_get_survey" },
	{ 0xcc20a5ab, "ieee80211_emulate_add_chanctx" },
	{ 0xaee8f61e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda006da9, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x66acf683, "mt76x2_mcu_init_gain" },
	{ 0xd66aad96, "mt76x02_set_rts_threshold" },
	{ 0x3a1de216, "mt76x02_tx_complete_skb" },
	{ 0x2e44631e, "mt76_sta_state" },
	{ 0xca7bcf49, "mt76x02_mcu_msg_send" },
	{ 0x4a693075, "mt76x2_phy_tssi_compensate" },
	{ 0x655c38e7, "ieee80211_stop_queues" },
	{ 0x9d6e9a54, "mt76x02_mac_cc_reset" },
	{ 0xbd1a2d2a, "mt76x02_bss_info_changed" },
	{ 0x912615b7, "mt76x02_init_agc_gain" },
	{ 0x87c432fc, "mt76x2_phy_update_channel_gain" },
	{ 0xc595ddbc, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xafe16899, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95071c60, "mt76x02_add_interface" },
	{ 0xe003bf79, "____mt76_poll_msec" },
	{ 0x5cbf4a3a, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd85f1141, "mt76x02_config_mac_addr_list" },
	{ 0x4f5a7fa9, "mt76_get_sar_power" },
	{ 0xf156eb12, "mt76x02_tx_prepare_skb" },
	{ 0x8b132215, "mt76x02_mcu_cleanup" },
	{ 0x247e5097, "mt76x02_ampdu_action" },
	{ 0xf49ff5c7, "mt76x02_mcu_calibrate" },
	{ 0xa3dc41b3, "mt76x02_conf_tx" },
	{ 0x5a87ab31, "mt76x02_mcu_function_select" },
	{ 0x4143c233, "dma_set_mask" },
	{ 0x22351168, "mt76_sw_scan" },
	{ 0x64c601e1, "mt76_sta_pre_rcu_remove" },
	{ 0xa8612a56, "pcim_iomap_table" },
	{ 0x66d7b1cd, "mt76x2_get_temp_comp" },
	{ 0xea389679, "mt76x02_mac_wcid_setup" },
	{ 0xac590d0d, "napi_schedule_prep" },
	{ 0x973c6627, "napi_disable" },
	{ 0xead802d9, "__mt76_poll" },
	{ 0x7f436887, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb8d8b14c, "pcim_enable_device" },
	{ 0x954d87eb, "mt76x2_phy_set_txpower_regs" },
	{ 0x7f759cd6, "mt76x2_phy_set_txpower" },
	{ 0xc802d4ec, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xe079fee3, "mt76x02_mac_start" },
	{ 0xd9c6c961, "mt76x02_remove_interface" },
	{ 0x7fc9db21, "mt76x02_dma_init" },
	{ 0x198ab8c6, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xadb2d6b5, "devm_request_threaded_irq" },
	{ 0x80960ae3, "pci_choose_state" },
	{ 0x74df0191, "mt76x02_set_ethtool_fwver" },
	{ 0x7fa362bb, "mt76x02_tx_set_txpwr_auto" },
	{ 0xc0c97f32, "mt76x02_set_key" },
	{ 0x4014512d, "mt76x02_mcu_parse_response" },
	{ 0x2d76ee9, "mt76_release_buffered_frames" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0x989ec9d0, "mt76_get_txpower" },
	{ 0x2287c8d, "__pci_register_driver" },
	{ 0x76b94a79, "mt76_write_mac_initvals" },
	{ 0xeb2681fd, "mt76x2_reset_wlan" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BA521187B36C1C582D3458F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
