#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(s3fwrn5_probe, "", "");
KSYMTAB_FUNC(s3fwrn5_remove, "", "");
KSYMTAB_FUNC(s3fwrn5_recv_frame, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_wake, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_power_ctrl, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_mode, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_get_mode, "", "");

SYMBOL_CRC(s3fwrn5_probe, 0x64d63fef, "");
SYMBOL_CRC(s3fwrn5_remove, 0x0cb7e733, "");
SYMBOL_CRC(s3fwrn5_recv_frame, 0xda338024, "");
SYMBOL_CRC(s3fwrn5_phy_set_wake, 0x774203fc, "");
SYMBOL_CRC(s3fwrn5_phy_power_ctrl, 0x0456b881, "");
SYMBOL_CRC(s3fwrn5_phy_set_mode, 0xedb12f10, "");
SYMBOL_CRC(s3fwrn5_phy_get_mode, 0xf2ab60da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6887b032, "crypto_shash_tfm_digest" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0xa7c57a8b, "gpiod_set_raw_value" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97aa838c, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x84841a5, "_dev_info" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd40ff7f7, "nci_core_reset" },
	{ 0x914e7ea8, "nci_prop_cmd" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb3e029d9, "nci_unregister_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4a51682, "nci_core_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6bce2b15, "gpio_to_desc" },
	{ 0xd9553c0d, "nci_recv_frame" },
	{ 0x754d539c, "strlen" },
	{ 0x32ec8f2d, "crypto_alloc_shash" },
	{ 0x4a65fcf3, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x18fbb68b, "nci_free_device" },
	{ 0x53b4ff0b, "nci_allocate_device" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x74f374b3, "nci_register_device" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0xc2656749, "skb_put" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "nci");


MODULE_INFO(srcversion, "17D4D3F7D2E69284C999E53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
