#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x7bcc17bd, "");
SYMBOL_CRC(ntb_unregister_client, 0x7b11ba9b, "");
SYMBOL_CRC(ntb_register_device, 0x28ff0e01, "");
SYMBOL_CRC(ntb_unregister_device, 0xcab5367b, "");
SYMBOL_CRC(ntb_set_ctx, 0xceac4255, "");
SYMBOL_CRC(ntb_clear_ctx, 0x6b2ffc5f, "");
SYMBOL_CRC(ntb_link_event, 0x9d57ab2c, "");
SYMBOL_CRC(ntb_db_event, 0xe9b3c570, "");
SYMBOL_CRC(ntb_msg_event, 0xd13988a2, "");
SYMBOL_CRC(ntb_default_port_number, 0x5ea65b1b, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x935140d6, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x6fd20b31, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x0a2bc017, "");
SYMBOL_CRC(ntb_msi_init, 0x1ca27d8f, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x25cdb262, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x77ca05bd, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xc8184f6c, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xaac6524e, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x65b7a1be, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x545fa2ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4f6966a, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x55a76b6c, "devm_iounmap" },
	{ 0x7bac8681, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaf001642, "devres_destroy" },
	{ 0xaa9419b7, "msi_unlock_descs" },
	{ 0x2be92641, "devm_ioremap" },
	{ 0x13ef85d1, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf60d7c2e, "msi_lock_descs" },
	{ 0x39384afb, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x659a2e93, "put_device" },
	{ 0xf936aeb3, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4bb721ae, "bus_unregister" },
	{ 0xd9cbf1b4, "devm_kfree" },
	{ 0x75a10082, "irq_get_irq_data" },
	{ 0xeccb6d51, "__devres_alloc_node" },
	{ 0x2340af69, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaba9e873, "device_register" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5aee17e6, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x74e3eaae, "msi_next_desc" },
	{ 0x8a2247cc, "driver_register" },
	{ 0x9b8140dd, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xadb2d6b5, "devm_request_threaded_irq" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
