#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_boot_create_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_initiator, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_ethernet, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_acpitbl, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_kset, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_host_kset, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_destroy_kset, "_gpl", "");

SYMBOL_CRC(iscsi_boot_create_target, 0x89c87a2d, "_gpl");
SYMBOL_CRC(iscsi_boot_create_initiator, 0x960befab, "_gpl");
SYMBOL_CRC(iscsi_boot_create_ethernet, 0x296c1cf7, "_gpl");
SYMBOL_CRC(iscsi_boot_create_acpitbl, 0xd4a51cf3, "_gpl");
SYMBOL_CRC(iscsi_boot_create_kset, 0xa3d292eb, "_gpl");
SYMBOL_CRC(iscsi_boot_create_host_kset, 0x7eb18b8b, "_gpl");
SYMBOL_CRC(iscsi_boot_destroy_kset, 0xf52ffc15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0xc169a345, "sysfs_remove_group" },
	{ 0x28e5a90a, "kobject_put" },
	{ 0x87ae8a57, "kset_unregister" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x882fbe86, "firmware_kobj" },
	{ 0x991672f7, "kset_create_and_add" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe4058ec8, "kobject_init_and_add" },
	{ 0xe414530, "sysfs_create_group" },
	{ 0xee16800e, "kobject_uevent" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C20997ECCE1CF436DF99F29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
