#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaaccfeed, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0xefe398e8, "kmem_cache_alloc" },
	{ 0x9c65ae28, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x2a6c120a, "block_commit_write" },
	{ 0xa3c679d1, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfc3a3804, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7827ba3c, "inode_init_once" },
	{ 0xa2e0e431, "file_write_and_wait_range" },
	{ 0x9df64c57, "qtree_write_dquot" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x6c31de8d, "mark_page_accessed" },
	{ 0x226530e0, "debugfs_attr_read" },
	{ 0x618d035, "seq_escape_mem" },
	{ 0xc7fbe16b, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0xb127d2fe, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x991d804c, "__brelse" },
	{ 0xf61af248, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x31cdb51, "perf_trace_run_bpf_submit" },
	{ 0xcddd92cc, "jbd2_journal_init_inode" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x9cc50d21, "jbd2_journal_abort" },
	{ 0x87b36727, "generic_file_read_iter" },
	{ 0x33a36f31, "inode_maybe_inc_iversion" },
	{ 0x371c370, "unlock_page" },
	{ 0xd458b06c, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0xac8f24fc, "qtree_release_dquot" },
	{ 0x3037077c, "set_cached_acl" },
	{ 0x392d418f, "simple_attr_release" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7d8001e1, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x5459987f, "dquot_resume" },
	{ 0xa14a9e32, "bpf_trace_run5" },
	{ 0x33f9ae4, "setattr_copy" },
	{ 0xf5b18a29, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xd2e10b59, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda41c8cf, "set_nlink" },
	{ 0x6f29b46f, "kmem_cache_free" },
	{ 0x2e44d40d, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xfdb8568a, "security_inode_init_security" },
	{ 0x19d0bf5d, "d_move" },
	{ 0x40d62a4f, "seq_putc" },
	{ 0x8e6ddc19, "from_kgid" },
	{ 0x213b4800, "qtree_read_dquot" },
	{ 0xdbaff6ab, "__bh_read" },
	{ 0x7bc5c2a2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x57105707, "jbd2_journal_start_commit" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x874369ee, "blkdev_issue_zeroout" },
	{ 0xff4f0571, "mpage_writepages" },
	{ 0xad99f959, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0xb7afc65a, "ocfs2_plock" },
	{ 0xe4058ec8, "kobject_init_and_add" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x25d8365e, "write_inode_now" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x4f44823a, "jbd2_trans_will_send_data_barrier" },
	{ 0x59d79eaa, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x46737b7e, "__audit_inode_child" },
	{ 0x34f36deb, "d_obtain_alias" },
	{ 0xb54aa899, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x67495f68, "__seq_open_private" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3d167579, "ocfs2_kset" },
	{ 0xe163e972, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfebab2c9, "dquot_alloc_inode" },
	{ 0xe2184f0b, "bpf_trace_run1" },
	{ 0xbf8d3e8e, "bpf_trace_run9" },
	{ 0xed48ce3c, "jbd2_journal_dirty_metadata" },
	{ 0x736df1fe, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdb1a2977, "generic_remap_file_range_prep" },
	{ 0x40cdfd03, "__insert_inode_hash" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xbd84af79, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb92e8e5, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x96327c93, "register_quota_format" },
	{ 0x3404e4e2, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xd1a12bc, "jbd2_journal_wipe" },
	{ 0xdb73d7a1, "d_delete" },
	{ 0x598d1438, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x7e0a2766, "unregister_quota_format" },
	{ 0x1ae5a9fe, "kthread_create_on_node" },
	{ 0x641211cf, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xd3836197, "bpf_trace_run3" },
	{ 0xf39a94d4, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe6894424, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x24cf7ccb, "__dquot_alloc_space" },
	{ 0xd25adec9, "unlock_buffer" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0xe4aba8a1, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x939a5212, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfaede878, "kobject_del" },
	{ 0xfe7ce16d, "trace_event_buffer_reserve" },
	{ 0x889fcd4, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe796f86f, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe0e23c6d, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb3257c85, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x638284b9, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x817ee46c, "init_user_ns" },
	{ 0x4a9b5694, "inode_set_ctime_current" },
	{ 0x297299fa, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x2113f4d7, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0x4f5c745, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xef26fe9f, "__percpu_down_read" },
	{ 0xbe75fafb, "jbd2_journal_force_commit" },
	{ 0xb7bc82c2, "__lock_buffer" },
	{ 0x69d6f708, "jbd2_journal_get_undo_access" },
	{ 0x9a10b0cf, "qtree_get_next_id" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xe9ef944a, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2a79e681, "posix_acl_update_mode" },
	{ 0x24974599, "truncate_inode_pages_range" },
	{ 0xeddadbc5, "__folio_lock" },
	{ 0xe13e7ff3, "pagecache_get_page" },
	{ 0x477429dd, "blkdev_issue_flush" },
	{ 0x6825caff, "is_bad_inode" },
	{ 0x21a8ea06, "rcuwait_wake_up" },
	{ 0xc966bb77, "block_is_partially_uptodate" },
	{ 0x7a0e97cc, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcfcc4c6a, "filemap_splice_read" },
	{ 0x81135aaf, "done_path_create" },
	{ 0x6087ffaf, "seq_release_private" },
	{ 0x65986b8d, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x7ea61944, "iget5_locked" },
	{ 0xf2ae36ad, "__generic_file_write_iter" },
	{ 0x424028d6, "jbd2_journal_lock_updates" },
	{ 0xc1f23947, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xd4e9921a, "bpf_trace_run7" },
	{ 0xbffcf723, "clean_bdev_aliases" },
	{ 0xc536f20f, "jbd2_journal_errno" },
	{ 0x2b9e23d9, "generic_write_checks" },
	{ 0x48cd46e2, "dqget" },
	{ 0xe1fda822, "inode_permission" },
	{ 0xe7fd7abb, "user_path_at_empty" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf2dea380, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0x8669752b, "dquot_quotactl_sysfile_ops" },
	{ 0xd5aafbad, "kmem_cache_alloc_lru" },
	{ 0xcb3e733b, "filemap_fault" },
	{ 0x5b2813d7, "debugfs_create_dir" },
	{ 0x243afd57, "__mark_inode_dirty" },
	{ 0x1fd45e58, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4663701a, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb5565439, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x2a7dbdf2, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x41a6e9d1, "put_pid" },
	{ 0x8690b329, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcbe60c34, "jbd2_journal_flush" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x8dd69d5a, "kobject_get" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xf02f1975, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x991672f7, "kset_create_and_add" },
	{ 0xedcc712f, "blkdev_issue_discard" },
	{ 0x28e5a90a, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8a5dfe1a, "truncate_inode_pages" },
	{ 0x1891d440, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0x4e1284d9, "inode_init_owner" },
	{ 0x67c32c5e, "filemap_fdatawrite" },
	{ 0xe19ad156, "generic_fillattr" },
	{ 0x6e5c52c7, "setattr_prepare" },
	{ 0x9a723d0c, "clear_nlink" },
	{ 0x38fa7465, "jbd2_complete_transaction" },
	{ 0xdeb4a961, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdb4d4a5, "d_instantiate" },
	{ 0x9c40d2bc, "simple_attr_open" },
	{ 0x5d953ef7, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2aee1232, "clear_inode" },
	{ 0x918e5944, "bpf_trace_run4" },
	{ 0x1d1888a6, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xda1f96d5, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb4004eee, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3887d7, "dquot_free_inode" },
	{ 0xcb5aee48, "folio_unlock" },
	{ 0x14fdba94, "jbd2_journal_grab_journal_head" },
	{ 0x83387b54, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0x93915f00, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xa697c75f, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3453406a, "jbd2_journal_stop" },
	{ 0x3230b823, "trace_raw_output_prep" },
	{ 0x9b58beaa, "forget_all_cached_acls" },
	{ 0xb1e977e, "init_special_inode" },
	{ 0xabfbb56c, "unregister_filesystem" },
	{ 0x402ed71e, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4f322c58, "bpf_trace_run6" },
	{ 0x37929d5e, "jbd2_journal_restart" },
	{ 0xa1fc7182, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x80a14c58, "generic_error_remove_folio" },
	{ 0x74781456, "__find_get_block" },
	{ 0xcc38715f, "__trace_trigger_soft_disabled" },
	{ 0xbb1b541d, "filemap_fdatawrite_range" },
	{ 0xfc142434, "jbd2_journal_set_triggers" },
	{ 0x1f106622, "__block_write_begin" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe914e5e7, "inode_query_iversion" },
	{ 0x22a6e63a, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf383b72e, "nop_posix_acl_access" },
	{ 0x666f3ae, "jbd2_journal_load" },
	{ 0x57f26ed1, "nop_posix_acl_default" },
	{ 0xefb86d59, "d_make_root" },
	{ 0xe4a80e3a, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x84ecf5a2, "jbd2_journal_set_features" },
	{ 0x59c85ae8, "sb_set_blocksize" },
	{ 0xe041f170, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x3515a80c, "end_buffer_read_sync" },
	{ 0xdb6431f2, "fsnotify" },
	{ 0xda0f9c2, "d_splice_alias" },
	{ 0x50817240, "jbd2_journal_unlock_updates" },
	{ 0xba67ab2b, "current_time" },
	{ 0x39938a67, "trace_event_raw_init" },
	{ 0xb4e6f8e7, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbfb035f, "unmap_mapping_range" },
	{ 0x15d6e308, "ihold" },
	{ 0x72020a56, "page_get_link" },
	{ 0x959b375a, "inode_dio_wait" },
	{ 0x9f4db9e, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1273bd, "iput" },
	{ 0x87ae8a57, "kset_unregister" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0xd1da1b65, "wrap_directory_iterator" },
	{ 0x9c2ffeea, "jbd2_journal_clear_features" },
	{ 0x39570e83, "__put_devmap_managed_page_refs" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x46f8c538, "iter_file_splice_write" },
	{ 0x41fd2ac5, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x23116163, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa0a10260, "register_filesystem" },
	{ 0x2bb6099e, "dq_data_lock" },
	{ 0xa244a1d5, "kmem_cache_create" },
	{ 0xf66c565d, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8432c54a, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x84ed384c, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xf3764e4f, "submit_bh" },
	{ 0xc2ef98cd, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb83e54, "shrink_dcache_parent" },
	{ 0x691f15d5, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0x23f7f653, "wake_up_process" },
	{ 0xa0ee623, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28f8fea, "dquot_scan_active" },
	{ 0xce74d909, "qtree_entry_unused" },
	{ 0x91f23e18, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x1a28fd81, "inode_newsize_ok" },
	{ 0x6921f04d, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4594cd7a, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xaad639a6, "mnt_want_write_file" },
	{ 0x16336ffc, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x54b7beaf, "block_invalidate_folio" },
	{ 0x673964d5, "make_kprojid" },
	{ 0x662cf865, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x44605c7f, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x43b436d6, "make_kuid" },
	{ 0x6fa08d88, "try_to_free_buffers" },
	{ 0x3016b1b0, "create_empty_buffers" },
	{ 0x3ac1fe8, "truncate_inode_pages_final" },
	{ 0xd53e564b, "sync_blockdev" },
	{ 0x90fe1bf0, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0x48ef3d26, "sync_mapping_buffers" },
	{ 0x62930f72, "dquot_initialize" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,ocfs2_nodemanager,quota_tree,jbd2");


MODULE_INFO(srcversion, "DFC72042CC814935AE5A716");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
