#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0x79883158, "");
SYMBOL_CRC(__gue_build_header, 0xfc60fc54, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64920f93, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0xd9de7f55, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8a9f09c9, "netlink_unicast" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde065cec, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x18425bb9, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaac3177e, "ip_tunnel_encap_del_ops" },
	{ 0xe8e5ea4, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1478ed1e, "__pskb_pull_tail" },
	{ 0xb473fde9, "register_btf_kfunc_id_set" },
	{ 0xb8ffb6a8, "setup_udp_tunnel_sock" },
	{ 0x223765af, "udp_sock_create6" },
	{ 0x310cfe6f, "skb_trim" },
	{ 0xbd0190b7, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdc9aa2b1, "genl_unregister_family" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x13f2c0d8, "genl_register_family" },
	{ 0xd2385f7e, "register_pernet_device" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x7886a1ea, "__skb_checksum_complete" },
	{ 0x764d391d, "ip_tunnel_encap_add_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd751013f, "udp_sock_create4" },
	{ 0x160c008d, "genlmsg_put" },
	{ 0x4a91ff61, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c2f8cb8, "inet_offloads" },
	{ 0xc074d7d7, "inet_protos" },
	{ 0x315b7216, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "6C7B880133ADDB451ABD907");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
