#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9d4551c, "l2tp_tunnel_register" },
	{ 0xbe1987e7, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0x7573d988, "remove_proc_entry" },
	{ 0x899237ff, "proc_create_net_data" },
	{ 0x7b011a30, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe8d4f0bd, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x77a46737, "ppp_input" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x22149526, "skb_pull" },
	{ 0x1478ed1e, "__pskb_pull_tail" },
	{ 0x6d107361, "l2tp_session_get_nth" },
	{ 0xf52c3928, "lock_sock_nested" },
	{ 0xaf7fdfca, "release_sock" },
	{ 0x15cb5c2f, "l2tp_tunnel_delete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd89ad157, "l2tp_session_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0x1bc05e80, "l2tp_session_inc_refcount" },
	{ 0x1fcede2c, "l2tp_session_register" },
	{ 0xd50c0c2, "ip6_mtu" },
	{ 0x5f4fe773, "dst_release" },
	{ 0x5c4578d8, "ppp_register_net_channel" },
	{ 0x30436160, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xca420e24, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19ac32f2, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb4949b1b, "ppp_dev_name" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91db4943, "seq_puts" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x880686d5, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7a645f5e, "pppox_unbind_sock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1cba4315, "sock_wmalloc" },
	{ 0xc2656749, "skb_put" },
	{ 0x47c28f54, "_copy_from_iter" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0xde02bc19, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x74d3a5d8, "iov_iter_revert" },
	{ 0x64920f93, "pskb_expand_head" },
	{ 0x6209f98c, "sock_no_bind" },
	{ 0xe2951022, "sock_no_socketpair" },
	{ 0x87b4d7af, "sock_no_accept" },
	{ 0xa09cbe21, "datagram_poll" },
	{ 0xc3e60b2c, "pppox_ioctl" },
	{ 0x54050ec2, "pppox_compat_ioctl" },
	{ 0x7e0eb6dd, "sock_no_listen" },
	{ 0x7e177e23, "sock_no_shutdown" },
	{ 0x22d85698, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2385f7e, "register_pernet_device" },
	{ 0x1a03d291, "proto_register" },
	{ 0x2ec35315, "register_pppox_proto" },
	{ 0x25eca502, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x87fe37a6, "proto_unregister" },
	{ 0x18425bb9, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b2bc8a, "l2tp_tunnel_get_session" },
	{ 0xdfa37e6f, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c8f8788, "sk_alloc" },
	{ 0x21e96fae, "sock_init_data" },
	{ 0xcc540bd0, "skb_queue_purge_reason" },
	{ 0x6c628552, "l2tp_udp_encap_recv" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x1edabd48, "skb_recv_datagram" },
	{ 0x90cb80d0, "skb_copy_datagram_iter" },
	{ 0x92c3c49f, "l2tp_tunnel_get" },
	{ 0xeab1dda7, "l2tp_tunnel_create" },
	{ 0x8ac374, "l2tp_tunnel_inc_refcount" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "0FFC3C163D829CA91C0AB79");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
