#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xa8bce935, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x9c8f7f16, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x1528d945, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xa55c1150, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xbc67b7d1, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x0ec35b08, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x2e7387a3, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xbbdbf5e1, "");
SYMBOL_CRC(ip_vs_conn_put, 0xf51e1d8a, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x0f426a83, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x4ea7705f, "");
SYMBOL_CRC(register_ip_vs_app, 0x99be788a, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x35098ce8, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x5d5a8163, "");
SYMBOL_CRC(ip_vs_proto_get, 0x4fec1ba6, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x53da6e32, "");
SYMBOL_CRC(register_ip_vs_pe, 0xf96adedb, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x4fba117c, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x42c5d8ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x66e91aa3, "ip_route_me_harder" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde065cec, "skb_push" },
	{ 0x6f29b46f, "kmem_cache_free" },
	{ 0xaa902643, "set_cpus_allowed_ptr" },
	{ 0x40d62a4f, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xf061dd0f, "nf_ct_expect_alloc" },
	{ 0x418252, "skb_ensure_writable" },
	{ 0x48de46f5, "iov_iter_kvec" },
	{ 0xdb185d71, "ip_mc_join_group" },
	{ 0xd706cd56, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13d6138d, "ns_capable" },
	{ 0xbf3cc588, "nf_unregister_net_hooks" },
	{ 0xb779b8c6, "inet_select_addr" },
	{ 0x18425bb9, "unregister_pernet_device" },
	{ 0xf52c3928, "lock_sock_nested" },
	{ 0x96d13b1e, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb54aa899, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc59f7ddf, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9bf9174, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd03235eb, "kernel_connect" },
	{ 0x8b25dc73, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x6707cdb5, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1478ed1e, "__pskb_pull_tail" },
	{ 0xaa0933e6, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x310cfe6f, "skb_trim" },
	{ 0x9a4ad5dd, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ae5a9fe, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x9286dcc9, "nf_ct_deliver_cached_events" },
	{ 0x904b0281, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4f11872, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe380a28, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca420e24, "ipv4_mtu" },
	{ 0x7ea835e7, "skb_set_owner_w" },
	{ 0x35ffb776, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe3b62875, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x817ee46c, "init_user_ns" },
	{ 0x3782a455, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7573d988, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0x6da66bc6, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc8a9a0a6, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x63c65462, "ipv4_update_pmtu" },
	{ 0x10b1047d, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5f4fe773, "dst_release" },
	{ 0xb3fd54e1, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x91db4943, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x341486f0, "ip_local_out" },
	{ 0xdc9aa2b1, "genl_unregister_family" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x82dd57e, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x13f2c0d8, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94524a51, "kernel_sendmsg" },
	{ 0x717dea81, "nf_ct_netns_put" },
	{ 0xd2385f7e, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf02f1975, "kmem_cache_destroy" },
	{ 0xaf7fdfca, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x98c09a08, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x1fe35525, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0xc432811d, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x734f199f, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xd8e49519, "skb_copy_bits" },
	{ 0x71898326, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0x577336ce, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x6ef8c1f8, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2b70fbe4, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7814e63c, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3f81bf30, "kernel_bind" },
	{ 0x97c209ab, "set_user_nice" },
	{ 0x160c008d, "genlmsg_put" },
	{ 0x4a91ff61, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xd3f85eee, "ip6_output" },
	{ 0x7a2109a6, "ip6_route_me_harder" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x30be785e, "__module_get" },
	{ 0x19fa40a, "ip_route_output_flow" },
	{ 0xa244a1d5, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x315b7216, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x56770c7e, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x899237ff, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64920f93, "pskb_expand_head" },
	{ 0xc3c595b3, "register_pernet_subsys" },
	{ 0x23f7f653, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x1f71b83c, "register_net_sysctl_sz" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd0cb6fa5, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3a8bd8c5, "nf_register_net_hooks" },
	{ 0xf4b72c8, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xefe398e8, "kmem_cache_alloc" },
	{ 0xd7fc5e13, "ipv6_sock_mc_join" },
	{ 0xa035bacb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xf417021a, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd9de7f55, "__skb_get_hash" },
	{ 0xf4c6663e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd50c0c2, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x8a9f09c9, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x53662233, "nf_ct_expect_related_report" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "B0487CA1434211DA0E128AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
