#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xad7890b0, "");
SYMBOL_CRC(pn_sock_unhash, 0x6e416f9c, "");
SYMBOL_CRC(phonet_stream_ops, 0xb2c80bd0, "");
SYMBOL_CRC(pn_sock_get_port, 0x711f6fc0, "");
SYMBOL_CRC(phonet_header_ops, 0x6dfbad18, "");
SYMBOL_CRC(pn_skb_send, 0x696e1b5e, "");
SYMBOL_CRC(phonet_proto_register, 0x47db9f8a, "");
SYMBOL_CRC(phonet_proto_unregister, 0xec3cd1b2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f71b83c, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x87fe37a6, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc4b12961, "sock_register" },
	{ 0xa09cbe21, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0xba719a8, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe4181fb4, "rtnl_set_sk_err" },
	{ 0x1a03d291, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa035bacb, "module_put" },
	{ 0xa5b8e034, "__sk_receive_skb" },
	{ 0x7e177e23, "sock_no_shutdown" },
	{ 0xa79abed, "__dev_get_by_index" },
	{ 0xf4c6663e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x42b632c8, "dev_remove_pack" },
	{ 0x95bd72fd, "dev_get_by_index" },
	{ 0x19ac32f2, "sk_free" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x87b4d7af, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde065cec, "skb_push" },
	{ 0x7e0eb6dd, "sock_no_listen" },
	{ 0xd5a43273, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xf52c3928, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x90cb80d0, "skb_copy_datagram_iter" },
	{ 0x2a960515, "rtnl_register_module" },
	{ 0x6c8f8788, "sk_alloc" },
	{ 0x9bf9174, "unregister_pernet_subsys" },
	{ 0xe2951022, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x22d85698, "sock_no_mmap" },
	{ 0x1478ed1e, "__pskb_pull_tail" },
	{ 0xdbbab9a5, "netif_rx" },
	{ 0x39f49890, "sock_common_recvmsg" },
	{ 0x310cfe6f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8873ceb7, "sk_common_release" },
	{ 0x179071ee, "seq_pad" },
	{ 0xf8af0f2, "sock_i_ino" },
	{ 0x280e794f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x1edabd48, "skb_recv_datagram" },
	{ 0x7a1b287c, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7573d988, "remove_proc_entry" },
	{ 0xe23e9cda, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xc1f6d8ec, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x47c28f54, "_copy_from_iter" },
	{ 0x91db4943, "seq_puts" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7c80737c, "from_kuid_munged" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x74d3a5d8, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x21e96fae, "sock_init_data" },
	{ 0x544e9749, "sk_ioctl" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaf7fdfca, "release_sock" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x14507e0e, "skb_free_datagram" },
	{ 0xe8d4f0bd, "sock_queue_rcv_skb_reason" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0xc073833f, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf1b55dfe, "__nlmsg_put" },
	{ 0xc2656749, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xce995f12, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xcffce50c, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xbe94421a, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44f3c47f, "sock_no_connect" },
	{ 0x274b2bfb, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x899237ff, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64920f93, "pskb_expand_head" },
	{ 0xc3c595b3, "register_pernet_subsys" },
	{ 0xcc540bd0, "skb_queue_purge_reason" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F121FA1CA78A31D4592CEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
