#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x1691d5fb, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x365cb876, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0xa5acf97c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xda3407b3, "devm_gpiod_get_optional" },
	{ 0xe87f64fc, "cs35l41_init_boost" },
	{ 0xbefb84f, "cs35l41_enter_hibernate" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf784f6eb, "__pm_runtime_set_status" },
	{ 0x1ed13137, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4f4bfc7, "pm_runtime_enable" },
	{ 0xbc688faf, "regulator_bulk_disable" },
	{ 0x31d4b5ff, "device_property_read_u32_array" },
	{ 0x52cd6590, "snd_soc_get_enum_double" },
	{ 0x84841a5, "_dev_info" },
	{ 0xcf35c3b0, "snd_soc_info_volsw" },
	{ 0x8f2e7b45, "regmap_multi_reg_write_bypassed" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x39761eac, "wm_adsp_event" },
	{ 0xa43fc1ef, "snd_soc_dapm_put_volsw" },
	{ 0xa62ffebc, "cs35l41_test_key_unlock" },
	{ 0x658b5b5c, "cs35l41_test_key_lock" },
	{ 0xf720679b, "snd_pcm_hw_constraint_list" },
	{ 0xdcccd043, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x7b672034, "wm_adsp2_component_probe" },
	{ 0x95aea559, "wm_adsp2_preloader_put" },
	{ 0xa6f7fa60, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb64e2830, "wm_adsp2_preloader_get" },
	{ 0x51eb3a83, "snd_soc_info_enum_double" },
	{ 0xb068214, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x229d52de, "devm_regulator_bulk_get" },
	{ 0x6b1d4f05, "snd_soc_info_volsw_sx" },
	{ 0x137c9fd, "cs35l41_otp_unpack" },
	{ 0x9dc32b21, "wm_adsp2_component_remove" },
	{ 0x5b6cde53, "snd_soc_get_volsw" },
	{ 0xb364accc, "cs35l41_exit_hibernate" },
	{ 0x340e130e, "regmap_read" },
	{ 0x5e3f24e0, "snd_soc_put_volsw" },
	{ 0x7c1dc7ea, "wm_adsp_fw_get" },
	{ 0xfc9413d2, "__pm_runtime_resume" },
	{ 0x41c1dd11, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x79d5638a, "cs35l41_write_fs_errata" },
	{ 0xb517fbff, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfba6354e, "cs35l41_configure_cs_dsp" },
	{ 0xd6d12143, "_dev_crit" },
	{ 0xc1e11924, "regmap_update_bits_base" },
	{ 0x971edbb2, "dev_err_probe" },
	{ 0x1c969b7b, "snd_soc_dapm_get_volsw" },
	{ 0xee401c24, "__pm_runtime_suspend" },
	{ 0x5d47cf9, "snd_soc_dapm_get_enum_double" },
	{ 0x2b058e96, "__pm_runtime_use_autosuspend" },
	{ 0xf0a3a59f, "wm_halo_init" },
	{ 0xdbc5e373, "wm_adsp_early_event" },
	{ 0x130f9fac, "cs35l41_set_channels" },
	{ 0x5d7d9b2, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xb2fd1b9d, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xaae06e1, "snd_soc_dapm_put_enum_double" },
	{ 0x5ffd4a83, "wm_adsp_fw_put" },
	{ 0xcf6f921f, "device_property_present" },
	{ 0x176a7110, "cs35l41_global_enable" },
	{ 0x7400e0b0, "regcache_cache_only" },
	{ 0xda32a169, "is_acpi_device_node" },
	{ 0xb5adf464, "regcache_sync" },
	{ 0xa084a2df, "regmap_write" },
	{ 0xadb2d6b5, "devm_request_threaded_irq" },
	{ 0x69d452a8, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd549f904, "pm_runtime_set_autosuspend_delay" },
	{ 0xdcb33eca, "cs35l41_register_errata_patch" },
	{ 0xf193956d, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b84333b, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x13642e10, "snd_soc_put_enum_double" },
	{ 0x36bee585, "regcache_mark_dirty" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "3F0273A252C33EA468D32D1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
