#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_link_set_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_fe_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_be_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_free_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_prepared, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x82f53652, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x82b348e0, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xfe311330, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0xa7c686d5, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x0f5a64c4, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x0a114c76, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x19a4f471, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x9f29eef8, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x5db29bd3, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0xa526fb16, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0xbb9b027c, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x7f6c0f54, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x7a3f49be, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xaf9b9be7, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x5f51eba7, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xdac0589a, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0x92112684, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x4ac0b37a, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0xd07ed21e, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x8dfc812d, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x79568908, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x610febe7, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0xc451d27d, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x3f5f3b74, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xb20d55fb, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xd427b256, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0xcf347c56, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x46582cdb, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xf550f13c, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x702d4497, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x6adc9220, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x551a7668, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x0e7d3bad, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xc9735349, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xbfec702f, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x4fd80834, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x8fb1a374, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x4804e883, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xd939a78b, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x51f22e6c, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x614cdffc, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0xd8c89889, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0xb95e56ab, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xbb644f5d, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x63855503, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x04099fda, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x8237815e, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x4f8d0ea9, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xdb0b0b4a, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0xf2ab5e45, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x51c85c44, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0xd36ccc0d, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x686d776e, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x807734ed, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xec67362b, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xe9e70ef7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x2b68d3a0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x8a8b45cd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x85f91eac, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x4c879df2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xd8d5e903, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x65eb4d4f, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x36dbf89b, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xa975aa76, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x820d001c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xade7b6f4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0xdeac7d95, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x2251d915, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x1796ce24, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x42dad090, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0xe333a227, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0xa6f7fa60, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x928db174, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0xc71d600e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x83419716, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x1c969b7b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xa43fc1ef, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x05d47cf9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x0aae06e1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0xe027f214, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x22cadb56, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x5849f71f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x2e36c5bb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xb517fbff, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x85c7454f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x824e582c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x2a641ca1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x532bd41f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x0b795961, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x078c6536, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x9e0cc513, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xabab3c3e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x88e6dee4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x076b4fce, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0xab988b60, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0xb000fae2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x4c252d14, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0x987d1c4e, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x3eee10fd, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x5a67333c, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x10af09b5, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x0126eb78, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x34d3665d, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x1635b6d2, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x2aae676d, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x10293673, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x2b20b562, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xc8269f94, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0xeb711ae7, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x4fa1782d, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xab138e43, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0xadf27900, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x24c6f764, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x4bafacdc, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x56ae006c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x54531b32, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xb4f18431, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x969058c7, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x81c44454, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0xa581f03d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0xee545d3e, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x60908988, "_gpl");
SYMBOL_CRC(snd_soc_dai_link_set_capabilities, 0xb44e8be2, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0xb2aabfe9, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x2e994a2a, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0xf8ffef3b, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0xa3d69b3c, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x2b0be81d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xea9ad9dc, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x0f2f130f, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xba7652e2, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x64c56ca4, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x4d991841, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x1e9a0704, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x69f301b0, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x74f206d1, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x32037094, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xdf1a12b8, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x631336da, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x86b446db, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x4a49e1ad, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0xb9a875c5, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x4055ebcc, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x59b1dd12, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x2ec43830, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x0430cdbc, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x37c474c3, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xec9de4b2, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x5d1ec9fa, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x3d343905, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x311f7589, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x4a84f061, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x1f693b2e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x9ae10c04, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x0958d14b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x3578ecc5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x84635b32, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0xb02d2245, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x28d10c65, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x6cd710b2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x73531c0f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x9c4aa78c, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x1d8ea1c8, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xa8cd8d7f, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xa13426b7, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x76f040f8, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xf84ce854, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x614e4e8a, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x3198232f, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x35be971e, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x1e509f53, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0xe4949a10, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xc07b9b2e, "_gpl");
SYMBOL_CRC(widget_in_list, 0x2f1abc8a, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x5fe6abde, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x30a3aafb, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x93214f04, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_fe_can_update, 0x957010a0, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_be_can_update, 0x3176d2b0, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x1d4a8f03, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_free_stop, 0x8578dfdd, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_params, 0x8f49b732, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_prepared, 0x11e4f910, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0x5b280ac5, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x1ed13137, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0xeb19a3f6, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x42c6732b, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x51eb3a83, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x52cd6590, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x13642e10, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xcf35c3b0, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x6b1d4f05, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x5b6cde53, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x5e3f24e0, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0xb2fd1b9d, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x69d452a8, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x82e84f9f, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x07b6712a, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x461f3aaa, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0xb5135831, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0xc8e3b457, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x3e3cbaf1, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xe795b0ae, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x56546e12, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0xd3698d9f, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x42b0489b, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xf75da298, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xf20e582b, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x26dc08a7, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x74b1b96b, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x8c7e2076, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x87a4af52, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x138af57b, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol_locked, 0x902ae48f, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xaf748703, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x177642b4, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x1c68f3ee, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x159279bc, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xd5423713, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x637ae71b, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x61349ba6, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x32a849a1, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x7a55012c, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x3d246994, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xb57ed6e6, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xbc97809b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x1a8807e2, "devm_kstrdup" },
	{ 0xd5d328ba, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x70245ea0, "debugfs_lookup_and_remove" },
	{ 0x659a2e93, "put_device" },
	{ 0x62664d2d, "gpiod_unexport" },
	{ 0x4cac7ca3, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xbd94f180, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc5e26296, "snd_dmaengine_pcm_close" },
	{ 0x395230e0, "dma_get_slave_caps" },
	{ 0x84841a5, "_dev_info" },
	{ 0xa035bacb, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x7eb27087, "snd_card_new" },
	{ 0x6f235614, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2e4f49f0, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3e1cf774, "snd_dmaengine_pcm_request_channel" },
	{ 0x31cdb51, "perf_trace_run_bpf_submit" },
	{ 0xd9cbf1b4, "devm_kfree" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x70a464a7, "pinctrl_pm_select_sleep_state" },
	{ 0x86dc20e7, "simple_open" },
	{ 0x2610cee3, "snd_pcm_lib_ioctl" },
	{ 0x415197c0, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x3166aec2, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdddbda12, "snd_pcm_stream_unlock_irqrestore" },
	{ 0xe4406a1e, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xeec61c96, "dev_get_regmap" },
	{ 0x2e44d40d, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xeccb6d51, "__devres_alloc_node" },
	{ 0x7bc5c2a2, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb3a9b0e5, "snd_ctl_notify" },
	{ 0x8193d469, "regulator_allow_bypass" },
	{ 0xf29e96d6, "snd_pcm_set_ops" },
	{ 0x82270331, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe918a79f, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x97c127f0, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaba9e873, "device_register" },
	{ 0xe2184f0b, "bpf_trace_run1" },
	{ 0x91519005, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb92e8e5, "debugfs_create_u32" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2587b8d, "snd_dmaengine_pcm_open" },
	{ 0xce1620f9, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x45f0229f, "snd_pcm_suspend_all" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x54d9c138, "snd_dmaengine_pcm_pointer" },
	{ 0x500c184f, "__platform_driver_register" },
	{ 0x5045830f, "dma_request_chan" },
	{ 0x5e8102f6, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa88851eb, "pinctrl_lookup_state" },
	{ 0xd3836197, "bpf_trace_run3" },
	{ 0xf39a94d4, "seq_read" },
	{ 0xd6b246ff, "snd_compress_new" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x6cfc01f6, "snd_hwparams_to_dma_slave_config" },
	{ 0x18591903, "platform_device_register_full" },
	{ 0x340e130e, "regmap_read" },
	{ 0xfe7ce16d, "trace_event_buffer_reserve" },
	{ 0xfc9413d2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x403f9529, "gpio_request_one" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6bce2b15, "gpio_to_desc" },
	{ 0xbce9dfef, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x47c28f54, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6d2b3240, "pinctrl_select_state" },
	{ 0xe185b30e, "snd_power_wait" },
	{ 0x11dd83ff, "snd_pcm_hw_constraint_msbits" },
	{ 0xe71cdc4b, "single_release" },
	{ 0xc1e11924, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x971edbb2, "dev_err_probe" },
	{ 0x461e7a87, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x91cf03e6, "device_add_groups" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xee401c24, "__pm_runtime_suspend" },
	{ 0xa49f5af8, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xe13b5b44, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf14b02bd, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x5b2813d7, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x47a97922, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x5998f908, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xa3a37eb3, "gpiod_get_value_cansleep" },
	{ 0xf31d17eb, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xe948aeca, "_copy_to_iter" },
	{ 0x3a47a94a, "gpiod_put" },
	{ 0xa084a2df, "regmap_write" },
	{ 0xb1a0f917, "param_ops_uint" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc4f6966a, "dev_set_name" },
	{ 0x5ffc9e35, "regmap_get_val_bytes" },
	{ 0xe246528e, "platform_driver_unregister" },
	{ 0xb2a6bb41, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf1c7891a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6fc5af60, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3230b823, "trace_raw_output_prep" },
	{ 0x28a54047, "regmap_raw_read" },
	{ 0x6f100786, "snd_card_register" },
	{ 0x7bac8681, "device_unregister" },
	{ 0xa4617153, "snd_card_free" },
	{ 0xcc38715f, "__trace_trigger_soft_disabled" },
	{ 0xe4a80e3a, "trace_event_printf" },
	{ 0xaf001642, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xec551c9d, "gpiod_get_index" },
	{ 0xbc171a4f, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xfd21b077, "snd_pcm_hw_constraint_minmax" },
	{ 0x39938a67, "trace_event_raw_init" },
	{ 0x119be96e, "gpiod_to_irq" },
	{ 0xf27e2f53, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c003a5f, "dma_release_channel" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x36bee585, "regcache_mark_dirty" },
	{ 0xfe990052, "gpio_free" },
	{ 0x41fd2ac5, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x2e90cbf2, "regulator_disable_deferred" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0x698a957e, "snd_ctl_remove" },
	{ 0xab58b90f, "snd_ctl_free_one" },
	{ 0xc640503d, "devm_clk_get" },
	{ 0x39384afb, "devres_add" },
	{ 0x24a1e050, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x951abec8, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0xe0fbcc4c, "snd_dmaengine_pcm_get_chan" },
	{ 0xd47d9ef6, "pinctrl_pm_select_default_state" },
	{ 0xa0ee623, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x778b77a8, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x1f1bd6ac, "snd_pcm_stream_unlock_irq" },
	{ 0xf2d6555b, "pm_wakeup_dev_event" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "BB21EF7012C2E610EFF3183");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
