#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31342fcf, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb8152513, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7eb27087, "snd_card_new" },
	{ 0x12682d0c, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x470494a7, "snd_card_set_id" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x6ac370ba, "usb_set_interface" },
	{ 0xf29e96d6, "snd_pcm_set_ops" },
	{ 0x5809ab68, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4e71baa0, "usb_string" },
	{ 0x8e280391, "snd_pcm_set_managed_buffer_all" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x64b413fd, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x40983c3, "input_event" },
	{ 0xa840456b, "input_set_abs_params" },
	{ 0x68c4014a, "snd_rawmidi_new" },
	{ 0x6f37d33a, "snd_card_disconnect" },
	{ 0x4f933e05, "snd_rawmidi_set_ops" },
	{ 0xc5d21f37, "param_ops_bool" },
	{ 0x75007e74, "usb_kill_urb" },
	{ 0xddffaacb, "usb_init_urb" },
	{ 0x45ff5e9e, "snd_pcm_period_elapsed" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x800f01c2, "input_allocate_device" },
	{ 0x923576cf, "usb_alloc_urb" },
	{ 0xc174d089, "snd_rawmidi_receive" },
	{ 0xdc8b16cc, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x64501ddd, "snd_rawmidi_transmit" },
	{ 0xb2a6bb41, "snd_ctl_add" },
	{ 0xf1c7891a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6f100786, "snd_card_register" },
	{ 0xa4617153, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe52d4289, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x194760ac, "param_array_ops" },
	{ 0x5760c20f, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5cbfa1c2, "input_free_device" },
	{ 0x778b77a8, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x571fabb9, "usb_bulk_msg" },
	{ 0xfc0535b3, "input_register_device" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
