#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x9eeb5992, "");
SYMBOL_CRC(acpi_video_get_edid, 0xb2296061, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x7de7bf50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x659a2e93, "put_device" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x84841a5, "_dev_info" },
	{ 0x236ac38c, "pnp_get_resource" },
	{ 0xc27b127b, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x57788e1d, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x748e83f4, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xbf8cb2e0, "acpi_get_pci_dev" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xb19b445, "ioread8" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0xbbfe4ed9, "acpi_get_first_physical_node" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40983c3, "input_event" },
	{ 0x8d3f74cc, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x53f46d89, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6f3aaf85, "acpi_fetch_acpi_dev" },
	{ 0xc5d21f37, "param_ops_bool" },
	{ 0xbc7e13af, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc63fd548, "backlight_device_register" },
	{ 0x902178b3, "acpi_dev_for_each_child" },
	{ 0x93785db, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4c818a0d, "acpi_bus_register_driver" },
	{ 0x800f01c2, "input_allocate_device" },
	{ 0xc65648b8, "acpi_dev_get_first_match_dev" },
	{ 0x1ee562, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xeb3e1817, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x1b05caf5, "backlight_force_update" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1773fc7, "pci_dev_put" },
	{ 0x566bbe9, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xedc03953, "iounmap" },
	{ 0x5760c20f, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2c6cfc36, "acpi_device_fix_up_power_children" },
	{ 0xdedbcb3d, "acpi_dev_remove_notify_handler" },
	{ 0x65e9388c, "thermal_cooling_device_register" },
	{ 0x13ef85d1, "get_device" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa44d3e2b, "pci_read_config_dword" },
	{ 0x5cbfa1c2, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc0535b3, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "233AFD8F19B2AD5463911B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
