#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0x819dba6f, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0xe4eb80d6, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0x93d32aad, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0xe606aa98, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0x99a5daad, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0x423e36bb, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0xcde25754, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x8b0d0968, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x064509f5, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0x3938bc50, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0xa1e1a808, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0x4351e0d4, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0xf0a2ef5f, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0x71db32f2, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0xc2c680a9, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0xafea60d9, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0x89a232c9, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0xf5781301, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0x0e38f081, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0x167e0acf, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0x066d6bf7, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0x8c0a52d1, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0x2ee579c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8308e04, "drm_gem_fb_get_obj" },
	{ 0xf23f1162, "drm_gem_fb_begin_cpu_access" },
	{ 0x6a264301, "drm_fb_swab" },
	{ 0x7644caf2, "drm_gem_fb_end_cpu_access" },
	{ 0xf260d9a1, "drm_fb_xrgb8888_to_rgb565" },
	{ 0xf17c7a07, "drm_fb_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0xc0c789fa, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xd029ab5f, "drm_dev_enter" },
	{ 0x9b37f82a, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x43d6a016, "drm_gem_begin_shadow_fb_access" },
	{ 0xc275ca3a, "drm_gem_end_shadow_fb_access" },
	{ 0xb99346aa, "drm_gem_reset_shadow_plane" },
	{ 0x92fa4ee3, "drm_gem_duplicate_shadow_plane_state" },
	{ 0xc8ca1176, "drm_gem_destroy_shadow_plane_state" },
	{ 0x1c987589, "drmm_mode_config_init" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x16304a89, "drm_connector_init" },
	{ 0xb8999d1a, "drm_simple_display_pipe_init" },
	{ 0x6b72e2f8, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x6db02fe9, "drm_connector_helper_get_modes_fixed" },
	{ 0xf193956d, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0xf14b02bd, "single_open" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4143c233, "dma_set_mask" },
	{ 0x9b3f86bf, "dma_set_coherent_mask" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x288fc90c, "regulator_disable" },
	{ 0xfb578fc5, "memset" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0x91db4943, "seq_puts" },
	{ 0xa4622cde, "spi_sync_locked" },
	{ 0xb9261aea, "spi_sync" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef89193a, "spi_bus_lock" },
	{ 0x52198eba, "spi_bus_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf31d17eb, "regulator_enable" },
	{ 0x7008ede0, "drm_dev_printk" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0xf39a94d4, "seq_read" },
	{ 0xe71cdc4b, "single_release" },
	{ 0x59c69475, "drm_gem_fb_create_with_dirty" },
	{ 0x212c49b6, "drm_atomic_helper_check" },
	{ 0xcd695d7, "drm_atomic_helper_commit" },
	{ 0x5f5502b9, "drm_atomic_helper_connector_reset" },
	{ 0x235ea713, "drm_helper_probe_single_connector_modes" },
	{ 0x1c008a75, "drm_connector_cleanup" },
	{ 0xd5bf8017, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x87763eff, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BE123BA9810BE503D98859F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
