#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x984f4c92, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0xbcbd93ea, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0xdf461557, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x354bfbee, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x50c6fa76, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x3158360a, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x652f2b6a, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0xd37f763f, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x31cd9067, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74916e80, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0xf7b9fe34, "hid_hw_open" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x7c00a3c7, "hid_hw_close" },
	{ 0x439a346e, "__hid_register_driver" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa6257a2f, "complete" },
	{ 0x4adafbca, "hid_hw_stop" },
	{ 0xfdbb38aa, "mfd_remove_devices" },
	{ 0xb55ac003, "hid_unregister_driver" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x660c5329, "hid_open_report" },
	{ 0x4fb91f0d, "hid_hw_start" },
	{ 0x5e8102f6, "devm_kasprintf" },
	{ 0xf51bd4fd, "mfd_add_devices" },
	{ 0x21dc26da, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "62848A389514578457DF133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
