#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_generic_open, "", "");
KSYMTAB_FUNC(dvb_generic_release, "", "");
KSYMTAB_FUNC(dvb_generic_ioctl, "", "");
KSYMTAB_FUNC(dvb_register_device, "", "");
KSYMTAB_FUNC(dvb_remove_device, "", "");
KSYMTAB_FUNC(dvb_device_get, "", "");
KSYMTAB_FUNC(dvb_unregister_device, "", "");
KSYMTAB_FUNC(dvb_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(dvb_register_adapter, "", "");
KSYMTAB_FUNC(dvb_unregister_adapter, "", "");
KSYMTAB_FUNC(dvb_module_probe, "_gpl", "");
KSYMTAB_FUNC(dvb_module_release, "_gpl", "");
KSYMTAB_FUNC(dvb_dmxdev_init, "", "");
KSYMTAB_FUNC(dvb_dmxdev_release, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_packets, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_204, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_raw, "", "");
KSYMTAB_FUNC(dvb_dmx_init, "", "");
KSYMTAB_FUNC(dvb_dmx_release, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camchange_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camready_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_frda_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_init, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_release, "", "");
KSYMTAB_FUNC(dvb_frontend_reinitialise, "", "");
KSYMTAB_FUNC(dvb_frontend_sleep_until, "", "");
KSYMTAB_FUNC(dvb_frontend_suspend, "", "");
KSYMTAB_FUNC(dvb_frontend_resume, "", "");
KSYMTAB_FUNC(dvb_register_frontend, "", "");
KSYMTAB_FUNC(dvb_unregister_frontend, "", "");
KSYMTAB_FUNC(dvb_frontend_detach, "", "");
KSYMTAB_FUNC(dvb_net_release, "", "");
KSYMTAB_FUNC(dvb_net_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_empty, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_free, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_avail, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush_spinlock_wakeup, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read_user, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write_user, "", "");

SYMBOL_CRC(dvb_generic_open, 0xce6fcdfe, "");
SYMBOL_CRC(dvb_generic_release, 0x869f1b01, "");
SYMBOL_CRC(dvb_generic_ioctl, 0xde53b69a, "");
SYMBOL_CRC(dvb_register_device, 0x8fafab79, "");
SYMBOL_CRC(dvb_remove_device, 0x25a6a702, "");
SYMBOL_CRC(dvb_device_get, 0x279803eb, "");
SYMBOL_CRC(dvb_unregister_device, 0xfa79e38c, "");
SYMBOL_CRC(dvb_create_media_graph, 0x1eb8a849, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0xa562a510, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x74396669, "");
SYMBOL_CRC(dvb_module_probe, 0x2f87acab, "_gpl");
SYMBOL_CRC(dvb_module_release, 0xc255fc50, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x454c54b4, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x3ec99781, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x18acd31f, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0x8c54b0f8, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x6a9f708a, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0xa4235824, "");
SYMBOL_CRC(dvb_dmx_init, 0x54abe4ff, "");
SYMBOL_CRC(dvb_dmx_release, 0x9263a063, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x7c5bab37, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0x549a0a7d, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x18484bb3, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x133afc96, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x5968efe3, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0x7b3ff464, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x35a8395f, "");
SYMBOL_CRC(dvb_frontend_resume, 0x91eb3523, "");
SYMBOL_CRC(dvb_register_frontend, 0x2bba6ff1, "");
SYMBOL_CRC(dvb_unregister_frontend, 0xd371b672, "");
SYMBOL_CRC(dvb_frontend_detach, 0xcc639ae4, "");
SYMBOL_CRC(dvb_net_release, 0x2d5b8a7e, "");
SYMBOL_CRC(dvb_net_init, 0xd408d0f0, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xfb9a826f, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0xebbc2d9b, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0xb3352dd2, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0xfc6380e5, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0xe138ce6b, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x6181aec0, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x91a6794b, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0xfb09f39a, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0x2f5cdf80, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xc3f679f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x886b9199, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ae5a9fe, "kthread_create_on_node" },
	{ 0xc4078add, "media_get_pad_index" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x45acd0ca, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5a7e18ba, "media_devnode_create" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x998e8dbf, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5435be75, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x38b3e1f8, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf81ce85a, "media_devnode_remove" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xad54b73f, "eth_header" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc2656749, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8cdeef81, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3132e92, "class_destroy" },
	{ 0xcf2a6966, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x9173f228, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x47c47b2c, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcfe4f4db, "media_create_intf_link" },
	{ 0xe12dc879, "media_create_pad_links" },
	{ 0x23f7f653, "wake_up_process" },
	{ 0x2e6c2f7e, "media_create_pad_link" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca6b050b, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc6832ad7, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x84841a5, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa035bacb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7353cb7e, "media_device_register_entity" },
	{ 0xdd206641, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xacafe465, "i2c_unregister_device" },
	{ 0x22149526, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xdb4bd48d, "device_create" },
	{ 0x9ba7c466, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x289426a0, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde065cec, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc45ec81, "register_netdev" },
	{ 0x50448b15, "free_netdev" },
	{ 0x71cf0f5d, "media_entity_pads_init" },
	{ 0xb54aa899, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd990cc19, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x91519005, "default_llseek" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdbbab9a5, "netif_rx" },
	{ 0x8722fc98, "__netdev_alloc_skb" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "CBC4EBD3F36B3DAE9352175");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
