#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1dcae89a, "eth_type_trans" },
	{ 0xaf663ccd, "napi_gro_receive" },
	{ 0x3a3c3bf2, "napi_complete_done" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc5d82f89, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3622c92, "pci_enable_device" },
	{ 0x7eb29cb3, "pci_request_regions" },
	{ 0xaee8f61e, "pci_set_master" },
	{ 0x4143c233, "dma_set_mask" },
	{ 0x51b0d526, "alloc_etherdev_mqs" },
	{ 0x2be92641, "devm_ioremap" },
	{ 0x2942ebb5, "netif_napi_add_weight" },
	{ 0xc45ec81, "register_netdev" },
	{ 0x84841a5, "_dev_info" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x9fba985, "dma_free_attrs" },
	{ 0x9d7e81c4, "dma_alloc_attrs" },
	{ 0x1164d2f4, "netdev_info" },
	{ 0x2f23d690, "netif_device_attach" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x22123d2b, "netdev_err" },
	{ 0x6989ffcf, "netif_tx_wake_queue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x94379a1d, "napi_enable" },
	{ 0x973c6627, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2502313, "netif_carrier_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac590d0d, "napi_schedule_prep" },
	{ 0x2bc4ae7e, "dev_kfree_skb_irq_reason" },
	{ 0x31caa191, "__napi_schedule" },
	{ 0x886b9199, "__dynamic_netdev_dbg" },
	{ 0x7b661279, "netif_carrier_on" },
	{ 0x6df9ca7, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x9173f228, "eth_validate_addr" },
	{ 0x194760ac, "param_array_ops" },
	{ 0xc5d21f37, "param_ops_bool" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2287c8d, "__pci_register_driver" },
	{ 0x725829f6, "netif_device_detach" },
	{ 0x88999b99, "device_set_wakeup_enable" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8cdeef81, "unregister_netdev" },
	{ 0x50448b15, "free_netdev" },
	{ 0x1aa79380, "pci_release_regions" },
	{ 0xdfa1e070, "pci_disable_device" },
	{ 0x76a2f478, "mii_ethtool_set_link_ksettings" },
	{ 0x8d2cdf04, "mii_ethtool_get_link_ksettings" },
	{ 0x3a03f679, "mii_link_ok" },
	{ 0x4e45055e, "mii_nway_restart" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0x92536668, "pci_unregister_driver" },
	{ 0x8722fc98, "__netdev_alloc_skb" },
	{ 0xc38dc7d7, "dma_unmap_page_attrs" },
	{ 0xc2656749, "skb_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7e5ab95b, "dma_map_page_attrs" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001022d00007462sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "C7384494CD8891F984AA0F1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
