#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb12e50d, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8722fc98, "__netdev_alloc_skb" },
	{ 0xc2656749, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x1dcae89a, "eth_type_trans" },
	{ 0xc3c9c6f5, "netif_receive_skb" },
	{ 0x6989ffcf, "netif_tx_wake_queue" },
	{ 0x3a3c3bf2, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0xac590d0d, "napi_schedule_prep" },
	{ 0x31caa191, "__napi_schedule" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xa3e6737f, "skb_tstamp_tx" },
	{ 0x2d90efdc, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x94379a1d, "napi_enable" },
	{ 0x56e20248, "phy_start" },
	{ 0x84841a5, "_dev_info" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x51b0d526, "alloc_etherdev_mqs" },
	{ 0xb2f656e6, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x32e6dd40, "__devm_request_region" },
	{ 0x947c8686, "platform_get_irq" },
	{ 0x2be92641, "devm_ioremap" },
	{ 0xf483d2af, "dmam_alloc_attrs" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0xe31f98e0, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea336b9c, "__mdiobus_register" },
	{ 0xb7ebfca7, "phy_connect_direct" },
	{ 0x1c9436fa, "phy_set_max_speed" },
	{ 0x2942ebb5, "netif_napi_add_weight" },
	{ 0xc45ec81, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc640503d, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x79478dcf, "phy_find_first" },
	{ 0x815588a6, "clk_enable" },
	{ 0x971edbb2, "dev_err_probe" },
	{ 0xc5d036d2, "phy_ethtool_nway_reset" },
	{ 0xe969595e, "ethtool_op_get_link" },
	{ 0x5344608f, "ethtool_op_get_ts_info" },
	{ 0x5ed0bbc9, "phy_ethtool_get_link_ksettings" },
	{ 0x1794ed84, "phy_ethtool_set_link_ksettings" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x500c184f, "__platform_driver_register" },
	{ 0xf1f84b71, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbcfab527, "phy_disconnect" },
	{ 0x44b4860b, "mdiobus_unregister" },
	{ 0xc4ec35a8, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8cdeef81, "unregister_netdev" },
	{ 0x50448b15, "free_netdev" },
	{ 0xe57cce8d, "mdiobus_get_phy" },
	{ 0xbbc706dc, "phy_mii_ioctl" },
	{ 0xe246528e, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0x7798f4bd, "phy_print_status" },
	{ 0x973c6627, "napi_disable" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "394572389829294D0E3577E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
