#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xafe27eeb, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x90e4ae43, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe7481352, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x31b64598, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf52c3928, "lock_sock_nested" },
	{ 0xe969595e, "ethtool_op_get_link" },
	{ 0x2900dff5, "nexthop_find_by_id" },
	{ 0xefd34415, "arp_create" },
	{ 0x30c6000f, "__ethtool_get_link_ksettings" },
	{ 0x430db147, "netdev_adjacent_change_prepare" },
	{ 0x2a960515, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x9bf9174, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x1bd42b8a, "netdev_adjacent_change_abort" },
	{ 0xe8e5ea4, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4e99c461, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3bd22f0, "__iptunnel_pull_header" },
	{ 0x1478ed1e, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xdbbab9a5, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xb8ffb6a8, "setup_udp_tunnel_sock" },
	{ 0x223765af, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x310cfe6f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x886b9199, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8686fa81, "skb_scrub_packet" },
	{ 0x6b158ffc, "nexthop_select_path" },
	{ 0x6df9ca7, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe987a30e, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2858b513, "neigh_destroy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc5d21f37, "param_ops_bool" },
	{ 0x8a8bd1af, "udp_tun_rx_dst" },
	{ 0xe23e9cda, "rtnl_notify" },
	{ 0x4ffd9de6, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x31454943, "__netif_rx" },
	{ 0xc1f6d8ec, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x21835149, "metadata_dst_alloc" },
	{ 0x5f4fe773, "dst_release" },
	{ 0xc341af0e, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x41c51927, "udp_tunnel_notify_del_rx_port" },
	{ 0x98b39147, "register_nexthop_notifier" },
	{ 0xa175995b, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x116a86ec, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xef4176e9, "netdev_core_stats_inc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x1164d2f4, "netdev_info" },
	{ 0x35706f4a, "neigh_lookup" },
	{ 0xaf7fdfca, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53fdd57a, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x7886a1ea, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd8e49519, "skb_copy_bits" },
	{ 0xf1b55dfe, "__nlmsg_put" },
	{ 0xf4d8ef9, "netdev_adjacent_change_commit" },
	{ 0x715c48c2, "eth_mac_addr" },
	{ 0xc2656749, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x227adeec, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbfbb0a87, "ip6_dst_hoplimit" },
	{ 0x352b0f56, "param_ops_ushort" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd751013f, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe5f647a2, "udp_tunnel6_xmit_skb" },
	{ 0x1ca42594, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4a1ea17e, "__unregister_nexthop_notifier" },
	{ 0x66836968, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x9173f228, "eth_validate_addr" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xb0d955dd, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x25462865, "rtnl_create_link" },
	{ 0x280edc4, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x315b7216, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x47c47b2c, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88065389, "udp_tunnel_drop_rx_port" },
	{ 0xe8871485, "netdev_upper_dev_link" },
	{ 0x64920f93, "pskb_expand_head" },
	{ 0xc3c595b3, "register_pernet_subsys" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0x1dcae89a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0x19a1ec50, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3c46b2cf, "eth_gro_complete" },
	{ 0xe4181fb4, "rtnl_set_sk_err" },
	{ 0x8bdfda19, "eth_gro_receive" },
	{ 0xe4250551, "rtnl_configure_link" },
	{ 0x72053543, "skb_tunnel_check_pmtu" },
	{ 0x7486b51e, "udp_tunnel_dst_lookup" },
	{ 0x7da5ac10, "rtnl_unicast" },
	{ 0xdc4ebd38, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xcd3bf333, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xa79abed, "__dev_get_by_index" },
	{ 0x297bd8d8, "rtnl_link_unregister" },
	{ 0xd9de7f55, "__skb_get_hash" },
	{ 0x1a850604, "ipv6_stub" },
	{ 0x22149526, "skb_pull" },
	{ 0xfbeceaf3, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xac203b12, "dev_get_by_index_rcu" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0xec1f1f05, "gro_cells_receive" },
	{ 0xde065cec, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc25afd6, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x50448b15, "free_netdev" },
	{ 0xdb185d71, "ip_mc_join_group" },
	{ 0x41b7a250, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "319C417D0977568C0CC125D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
