#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xa3907131, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x26d1cb82, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x8e3fa973, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xcba405da, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xbc0dcc4c, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x734c8e4b, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x68b31ba0, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xfba9cb00, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x31455094, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x74664f88, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xc9366a70, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x89aad01d, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x126f9de2, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x614eaf60, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xe910608a, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x580c261a, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x769b490d, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x80fdd0df, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x4daf0bc6, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xadf41280, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x94727941, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x55247d9b, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x98f0375a, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x6464116d, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x32615314, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x056569c5, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x221f401c, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xc4b4ce1d, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xe5ae50fa, "_gpl");
SYMBOL_CRC(rt2800_config, 0x71265ae4, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x2941adf1, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x98a172a9, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xb5f102d8, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xecdc0b46, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x5f18790a, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xb3757fe3, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x3540bb50, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x7f812ab6, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xd7c4487a, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x7e51a221, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x6a63eb37, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x613c5f9f, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xbeb16d20, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x939b859c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde065cec, "skb_push" },
	{ 0x308d12bb, "dev_kfree_skb_any_reason" },
	{ 0x2d90efdc, "__skb_pad" },
	{ 0x4173d842, "rt2x00lib_txdone_noinfo" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x63efd1f5, "ieee80211_restart_hw" },
	{ 0x22149526, "skb_pull" },
	{ 0x84841a5, "_dev_info" },
	{ 0x417151a2, "rt2x00lib_set_mac_address" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xb1a0f917, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2b277950, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeede46d9, "rt2x00lib_txdone" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0x673757e1, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc7cecaf6, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2613ed37, "rt2x00mac_conf_tx" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "E50CA3EE42E0BDDB473FD60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
