#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wl1251_init_ieee80211, "_gpl", "");
KSYMTAB_FUNC(wl1251_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wl1251_free_hw, "_gpl", "");

SYMBOL_CRC(wl1251_init_ieee80211, 0x6c90e98a, "_gpl");
SYMBOL_CRC(wl1251_alloc_hw, 0x4701688e, "_gpl");
SYMBOL_CRC(wl1251_free_hw, 0xf40a63ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d8821eb, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xcc20a5ab, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda006da9, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x8722fc98, "__netdev_alloc_skb" },
	{ 0x655c38e7, "ieee80211_stop_queues" },
	{ 0x310cfe6f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xd424d85, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x39c0cdf9, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x60235ebb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xb799f7ac, "ieee80211_queue_work" },
	{ 0x308d12bb, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5b2813d7, "debugfs_create_dir" },
	{ 0x1fd45e58, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc802d4ec, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x900a9dc2, "skb_queue_head" },
	{ 0xd34bb684, "ieee80211_rx_napi" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc2656749, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x288ec891, "skb_dequeue" },
	{ 0x8fff195a, "ieee80211_free_hw" },
	{ 0xb5fa778, "ieee80211_probereq_get" },
	{ 0x615ff8ac, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x14441c1b, "ieee80211_nullfunc_get" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0x42539cc6, "ieee80211_pspoll_get" },
	{ 0x54585bc5, "ieee80211_register_hw" },
	{ 0xc24210dc, "ieee80211_emulate_change_chanctx" },
	{ 0x1d6133b, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x64699761, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bb26069, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x68063fcb, "skb_copy_expand" },
	{ 0x11f8c623, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc1b78e1, "ieee80211_queue_delayed_work" },
	{ 0x86dc20e7, "simple_open" },
	{ 0x22149526, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde065cec, "skb_push" },
	{ 0x2e44d40d, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d993f70, "ieee80211_wake_queues" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "8956DD5034B7EE0820AE064");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
