#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x11b254a8, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x24861911, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xe81ce792, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x4d751bac, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x60f73b76, "");
SYMBOL_CRC(cdns_read_ping_status, 0xf3e9fffa, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x710ca16e, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x9bd0098c, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xd8b71973, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x9df5e07f, "");
SYMBOL_CRC(sdw_cdns_init, 0xc1369bf3, "");
SYMBOL_CRC(cdns_bus_conf, 0x10a6538b, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xfe3a58e7, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xdc243d19, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x0fdc87a1, "");
SYMBOL_CRC(sdw_cdns_probe, 0x96f32f4f, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x0efd6fc5, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x2fc95265, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x9373192c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x515abf4, "sdw_handle_slave_status" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84841a5, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x226530e0, "debugfs_attr_read" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x392d418f, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf39a94d4, "seq_read" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0xfc9413d2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xe71cdc4b, "single_release" },
	{ 0x9723612a, "sdw_bread_no_pm_unlocked" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xee401c24, "__pm_runtime_suspend" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0xf14b02bd, "single_open" },
	{ 0x7371dcb, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xadc13c4d, "sdw_bus_prep_clk_stop" },
	{ 0x9c40d2bc, "simple_attr_open" },
	{ 0xda1f96d5, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb12bc034, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb858f1e, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "D02A84B8949CEC27139377E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
