#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u_audio_set_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_suspend, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_mute, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_mute, "_gpl", "");
KSYMTAB_FUNC(g_audio_setup, "_gpl", "");
KSYMTAB_FUNC(g_audio_cleanup, "_gpl", "");

SYMBOL_CRC(u_audio_set_capture_srate, 0x27d7ace9, "_gpl");
SYMBOL_CRC(u_audio_get_capture_srate, 0xfa9db33d, "_gpl");
SYMBOL_CRC(u_audio_set_playback_srate, 0x5591be2b, "_gpl");
SYMBOL_CRC(u_audio_get_playback_srate, 0x49a9fda8, "_gpl");
SYMBOL_CRC(u_audio_start_capture, 0x643a1291, "_gpl");
SYMBOL_CRC(u_audio_stop_capture, 0x467957fd, "_gpl");
SYMBOL_CRC(u_audio_start_playback, 0xa195acfe, "_gpl");
SYMBOL_CRC(u_audio_stop_playback, 0xe5b3c2c8, "_gpl");
SYMBOL_CRC(u_audio_suspend, 0x38499671, "_gpl");
SYMBOL_CRC(u_audio_get_volume, 0x8bbed80f, "_gpl");
SYMBOL_CRC(u_audio_set_volume, 0xbadb4d23, "_gpl");
SYMBOL_CRC(u_audio_get_mute, 0x04d32956, "_gpl");
SYMBOL_CRC(u_audio_set_mute, 0x75a9b741, "_gpl");
SYMBOL_CRC(g_audio_setup, 0xffa49d2c, "_gpl");
SYMBOL_CRC(g_audio_cleanup, 0xd8b85544, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x9e1a6d3, "snd_pcm_stream_lock" },
	{ 0xe2a5041b, "snd_pcm_stream_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x45ff5e9e, "snd_pcm_period_elapsed" },
	{ 0xb3a9b0e5, "snd_ctl_notify" },
	{ 0x9809e60b, "config_ep_by_speed" },
	{ 0xfbb36f98, "usb_ep_enable" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0b4757c, "snd_pcm_hw_constraint_integer" },
	{ 0xcb4370f3, "snd_card_free_when_closed" },
	{ 0xf171be08, "usb_ep_dequeue" },
	{ 0xa14a6557, "usb_ep_disable" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x7eb27087, "snd_card_new" },
	{ 0xf1c7891a, "snd_pcm_new" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf29e96d6, "snd_pcm_set_ops" },
	{ 0x778b77a8, "snd_ctl_new1" },
	{ 0xb2a6bb41, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8e280391, "snd_pcm_set_managed_buffer_all" },
	{ 0x6f100786, "snd_card_register" },
	{ 0xa4617153, "snd_card_free" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,libcomposite");


MODULE_INFO(srcversion, "7AFA40B30896A567B4B2F6D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
