#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0xc9ae25b7, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0xf5e3804b, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x609a047e, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0xe6dc63da, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x60ec720a, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0xf84b34fd, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0xe5bfb025, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0xc4aa3917, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0xab59e7b5, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x12c48e8b, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x6a0f857a, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0xe0bba67b, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0xdcd6af31, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x56aee2bc, "_gpl");
SYMBOL_CRC(gether_suspend, 0xfd3a0973, "_gpl");
SYMBOL_CRC(gether_resume, 0x16574215, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x17f00497, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x8e9a1a80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa14a6557, "usb_ep_disable" },
	{ 0xfbb36f98, "usb_ep_enable" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0xc45ec81, "register_netdev" },
	{ 0x84841a5, "_dev_info" },
	{ 0x2502313, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0x725829f6, "netif_device_detach" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8cdeef81, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x50448b15, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x8722fc98, "__netdev_alloc_skb" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0x308d12bb, "dev_kfree_skb_any_reason" },
	{ 0x6989ffcf, "netif_tx_wake_queue" },
	{ 0x7b661279, "netif_carrier_on" },
	{ 0x2f23d690, "netif_device_attach" },
	{ 0xc2656749, "skb_put" },
	{ 0x288ec891, "skb_dequeue" },
	{ 0x11f8c623, "skb_queue_tail" },
	{ 0x1dcae89a, "eth_type_trans" },
	{ 0xdbbab9a5, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e989589, "usb_func_wakeup" },
	{ 0x99ec2c7a, "usb_gadget_wakeup" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x51b0d526, "alloc_etherdev_mqs" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x715c48c2, "eth_mac_addr" },
	{ 0x9173f228, "eth_validate_addr" },
	{ 0xe969595e, "ethtool_op_get_link" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "4CAA8F5A52E2AA68D4A089A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
