#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16336ffc, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xd6eca202, "vfs_fallocate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x93257ba9, "mnt_want_write" },
	{ 0xa916b694, "strnlen" },
	{ 0x9b2d91b4, "backing_file_mmap" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0xee96347, "get_inode_acl" },
	{ 0xe478503e, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa06c76b9, "backing_file_write_iter" },
	{ 0x3dbbc42f, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7827ba3c, "inode_init_once" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xb4dfc52b, "vfs_remove_acl" },
	{ 0x618d035, "seq_escape_mem" },
	{ 0xc7fbe16b, "ilookup5" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x7b3ca02c, "prepare_creds" },
	{ 0x65e3dec6, "posix_acl_create" },
	{ 0x282c3e3, "vfs_get_link" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x3ab452e2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6678462e, "exportfs_encode_fh" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3defe4b3, "backing_file_splice_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda41c8cf, "set_nlink" },
	{ 0xee421a83, "lock_rename" },
	{ 0x6f29b46f, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x40d62a4f, "seq_putc" },
	{ 0x8e6ddc19, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x7a4f89ee, "vfs_getxattr" },
	{ 0x74f57116, "rw_verify_area" },
	{ 0xebf420c8, "file_remove_privs" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x34f36deb, "d_obtain_alias" },
	{ 0x62ede055, "release_dentry_name_snapshot" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2d994605, "security_inode_copy_up_xattr" },
	{ 0x736df1fe, "from_kuid" },
	{ 0xfa6199f, "kern_path" },
	{ 0xbbf528db, "vfs_parse_monolithic_sep" },
	{ 0xff5a506c, "vfs_set_acl" },
	{ 0x86e9bc32, "vfs_fadvise" },
	{ 0x354f0daa, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x40cdfd03, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8861d9c6, "mnt_get_write_access" },
	{ 0xa1c5beed, "unlock_rename" },
	{ 0x5f6918d9, "vfs_rmdir" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe1dc2b67, "security_inode_copy_up" },
	{ 0xcce0fa9c, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x85456fc2, "backing_file_read_iter" },
	{ 0x3b25a6cc, "override_creds" },
	{ 0xeeecd5a9, "security_dentry_create_files_as" },
	{ 0xc3c5cd4c, "noop_direct_IO" },
	{ 0x860b7d2a, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x939a5212, "generic_read_dir" },
	{ 0xdaa5c03d, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc5d21f37, "param_ops_bool" },
	{ 0xbddb6a7e, "vfs_mknod" },
	{ 0x13112f42, "lookup_positive_unlocked" },
	{ 0x817ee46c, "init_user_ns" },
	{ 0x5a002d90, "vfs_path_lookup" },
	{ 0xe1cf2764, "dentry_open" },
	{ 0x297299fa, "inc_nlink" },
	{ 0x4ac87a69, "vfs_fileattr_set" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0x4f5c745, "dput" },
	{ 0xe7dab0b1, "take_dentry_name_snapshot" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x1093eaa6, "generic_delete_inode" },
	{ 0x33c71e78, "touch_atime" },
	{ 0xef26fe9f, "__percpu_down_read" },
	{ 0xc9eb320f, "vfs_clone_file_range" },
	{ 0x8f48c7bb, "vfs_llseek" },
	{ 0x9d2fcbdf, "kernel_file_open" },
	{ 0x91db4943, "seq_puts" },
	{ 0x21a8ea06, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xa4a8fd80, "__fs_parse" },
	{ 0xbb2b202f, "vfs_link" },
	{ 0x7f58d518, "mnt_put_write_access" },
	{ 0x60c72d60, "dget_parent" },
	{ 0x1f5f9b3, "kill_anon_super" },
	{ 0x84c7c73, "vfs_getattr_nosec" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x7ea61944, "iget5_locked" },
	{ 0xfb60faf5, "posix_acl_clone" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe1fda822, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x645ab407, "get_cached_acl_rcu" },
	{ 0x349cba85, "strchr" },
	{ 0xd01f3b62, "__mnt_is_readonly" },
	{ 0xd5aafbad, "kmem_cache_alloc_lru" },
	{ 0x55efe40e, "d_invalidate" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x35bc2c0f, "vfs_get_acl" },
	{ 0xceab0311, "strchrnul" },
	{ 0x53b954a2, "up_read" },
	{ 0x8690b329, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xf02f1975, "kmem_cache_destroy" },
	{ 0x1e610be5, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xc4db4ef6, "fsverity_get_digest" },
	{ 0x4e1284d9, "inode_init_owner" },
	{ 0xff42b616, "__d_drop" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x100e0caa, "vfs_fsync_range" },
	{ 0x6e5c52c7, "setattr_prepare" },
	{ 0x56599466, "vfs_removexattr" },
	{ 0x9a723d0c, "clear_nlink" },
	{ 0xa283deb1, "vfs_fileattr_get" },
	{ 0x4ad79028, "vfs_listxattr" },
	{ 0xea250720, "generic_fill_statx_attr" },
	{ 0xb4e021b1, "revert_creds" },
	{ 0xdb4d4a5, "d_instantiate" },
	{ 0xbdbab560, "vfs_dedupe_file_range_one" },
	{ 0x5d953ef7, "make_vfsgid" },
	{ 0xd1375f0c, "vfs_setxattr" },
	{ 0x8d6f2242, "notify_change" },
	{ 0xc85370ee, "vfs_getattr" },
	{ 0x62d42b50, "vfs_rename" },
	{ 0x18cca5e0, "clone_private_mount" },
	{ 0xf2d7023, "fs_param_is_string" },
	{ 0x352b0f56, "param_ops_ushort" },
	{ 0x48dd5f67, "lookup_one_len" },
	{ 0xb7f8cdd1, "lookup_one_unlocked" },
	{ 0xb0e602eb, "memmove" },
	{ 0x52ef21b3, "inode_insert5" },
	{ 0x93915f00, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb1e977e, "init_special_inode" },
	{ 0xabfbb56c, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe0f503a4, "iterate_dir" },
	{ 0x9ec98a9, "inode_set_flags" },
	{ 0x5317b9f, "is_subdir" },
	{ 0xefb86d59, "d_make_root" },
	{ 0x6e7a5543, "backing_file_splice_write" },
	{ 0xe041f170, "sync_filesystem" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xda0f9c2, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x15d6e308, "ihold" },
	{ 0x2b7170cd, "d_find_any_alias" },
	{ 0x9f4db9e, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1273bd, "iput" },
	{ 0xc7f0be67, "pcpu_hot" },
	{ 0xce58ec38, "fs_param_is_enum" },
	{ 0xd1da1b65, "wrap_directory_iterator" },
	{ 0xba30c7b, "logfc" },
	{ 0x1d636b43, "security_file_ioctl" },
	{ 0xceba37a8, "kern_unmount_array" },
	{ 0xaafd66e3, "do_splice_direct" },
	{ 0xa0a10260, "register_filesystem" },
	{ 0xa244a1d5, "kmem_cache_create" },
	{ 0xed540e71, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6dcc083, "ns_capable_noaudit" },
	{ 0x84ed384c, "path_put" },
	{ 0xc233a8a1, "vfs_copy_file_range" },
	{ 0xc2ef98cd, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x691f15d5, "make_vfsuid" },
	{ 0x52e7ab51, "__put_cred" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xebe5ae98, "backing_file_open" },
	{ 0x5d746722, "vfs_mkdir" },
	{ 0xbb4717c1, "get_tree_nodev" },
	{ 0xe9f84130, "kernel_tmpfile_open" },
	{ 0x47c17ae8, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2650dd0c, "lookup_one" },
	{ 0x98c5210d, "lookup_one_positive_unlocked" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x6c106f36, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xda0b0307, "exportfs_decode_fh" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F6A12D03FE472B4DC4CE05");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
