#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68063fcb, "skb_copy_expand" },
	{ 0xa035bacb, "module_put" },
	{ 0x8f2d8831, "lowpan_header_decompress" },
	{ 0x81874530, "dev_open" },
	{ 0x226530e0, "debugfs_attr_read" },
	{ 0x22149526, "skb_pull" },
	{ 0x5eadc12f, "debugfs_create_file_unsafe" },
	{ 0x392d418f, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x400e37be, "nd_tbl" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x76ff139f, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e44d40d, "debugfs_remove" },
	{ 0x48de46f5, "iov_iter_kvec" },
	{ 0x50448b15, "free_netdev" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6989ffcf, "netif_tx_wake_queue" },
	{ 0x26f8a786, "l2cap_chan_put" },
	{ 0x736c5a40, "hci_get_route" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdbbab9a5, "netif_rx" },
	{ 0x718b8b7, "bt_info" },
	{ 0xd81fa131, "l2cap_chan_close" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf39a94d4, "seq_read" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xadefc9b, "l2cap_add_psm" },
	{ 0x2858b513, "neigh_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56022b67, "l2cap_chan_send" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x793913fb, "lowpan_header_compress" },
	{ 0x10291ba, "skb_copy" },
	{ 0xc1f6d8ec, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x271721d, "l2cap_chan_del" },
	{ 0xe71cdc4b, "single_release" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0xf14b02bd, "single_open" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x22c79aae, "l2cap_chan_set_defaults" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9c40d2bc, "simple_attr_open" },
	{ 0xda1f96d5, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77a9cb1b, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x37a0cba, "kfree" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0x3ac0c22f, "l2cap_chan_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbd870a9b, "lowpan_register_netdev" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbdf3011f, "netdev_notify_peers" },
	{ 0x3d010a5b, "l2cap_chan_connect" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca6b050b, "alloc_netdev_mqs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x659a2e93, "put_device" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0x1cbc696b, "bt_debugfs" },
	{ 0x2e7c34c1, "lowpan_unregister_netdev" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "6lowpan,bluetooth");


MODULE_INFO(srcversion, "7F60DB1CF94A089BE5E5314");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
