#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x05fc0979, "");
SYMBOL_CRC(is_hsr_master, 0x0f6e81fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x160c008d, "genlmsg_put" },
	{ 0x5e1bd92f, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xacbd3a2c, "dev_set_promiscuity" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbefcbfa1, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x280edc4, "unregister_netdevice_queue" },
	{ 0x4f551256, "netlink_ack" },
	{ 0xe86dd3e1, "__pskb_copy_fclone" },
	{ 0xcf1c86d5, "dev_uc_unsync" },
	{ 0x47c47b2c, "ether_setup" },
	{ 0x5c9d13b9, "netlink_broadcast_filtered" },
	{ 0x22123d2b, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8871485, "netdev_upper_dev_link" },
	{ 0xd23eb4a5, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf7160284, "netdev_rx_handler_unregister" },
	{ 0xc6832ad7, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x68063fcb, "skb_copy_expand" },
	{ 0xa79abed, "__dev_get_by_index" },
	{ 0x297bd8d8, "rtnl_link_unregister" },
	{ 0xf4c6663e, "init_net" },
	{ 0x22149526, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8a9f09c9, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xac203b12, "dev_get_by_index_rcu" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0x4b2b7b60, "netdev_printk" },
	{ 0xde065cec, "skb_push" },
	{ 0x2e44d40d, "debugfs_remove" },
	{ 0xc25afd6, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x715d5a1c, "netdev_set_operstate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1478ed1e, "__pskb_pull_tail" },
	{ 0xdbbab9a5, "netif_rx" },
	{ 0x8722fc98, "__netdev_alloc_skb" },
	{ 0x310cfe6f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf39a94d4, "seq_read" },
	{ 0x36f82f2c, "debugfs_rename" },
	{ 0x298940cb, "debugfs_create_file" },
	{ 0x280e794f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa92301c, "call_netdevice_notifiers" },
	{ 0x702b25fa, "dev_set_allmulti" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2502313, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xc1f6d8ec, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b661279, "netif_carrier_on" },
	{ 0x8055910, "netdev_rx_handler_register" },
	{ 0x91db4943, "seq_puts" },
	{ 0xe71cdc4b, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdc9aa2b1, "genl_unregister_family" },
	{ 0xb0a987b4, "dev_disable_lro" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x308d12bb, "dev_kfree_skb_any_reason" },
	{ 0xf14b02bd, "single_open" },
	{ 0x5b2813d7, "debugfs_create_dir" },
	{ 0x5f85d431, "dev_mc_unsync" },
	{ 0x13f2c0d8, "genl_register_family" },
	{ 0xef4176e9, "netdev_core_stats_inc" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x1164d2f4, "netdev_info" },
	{ 0x89e45612, "dev_mc_sync_multiple" },
	{ 0x53fdd57a, "register_netdevice" },
	{ 0x5a57a164, "dev_set_mtu" },
	{ 0x2d90efdc, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xad54b73f, "eth_header" },
	{ 0xc2656749, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x677e989c, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1ca42594, "rtnl_link_register" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FB1CC9A47B4E6ACA5BDC8A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
