#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x151fb164, "km_state_notify" },
	{ 0x13d6138d, "ns_capable" },
	{ 0x6c8f8788, "sk_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x21e96fae, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x899237ff, "proc_create_net_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x47c28f54, "_copy_from_iter" },
	{ 0x74d3a5d8, "iov_iter_revert" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xcc540bd0, "skb_queue_purge_reason" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19ac32f2, "sk_free" },
	{ 0x7e5c8570, "xfrm_policy_alloc" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xa1e91242, "xfrm_policy_destroy" },
	{ 0x96d01a22, "xfrm_policy_byid" },
	{ 0xcc405b83, "xfrm_audit_policy_delete" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x602cbde6, "xfrm_state_delete" },
	{ 0x9194dad9, "xfrm_audit_state_delete" },
	{ 0x944d6095, "__xfrm_state_destroy" },
	{ 0xd6598f18, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x66ad70fd, "xfrm_migrate" },
	{ 0x71d289e3, "xfrm_state_alloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0x754d539c, "strlen" },
	{ 0x1fa7f0e9, "xfrm_init_state" },
	{ 0x214cd22d, "xfrm_state_update" },
	{ 0x3a836272, "xfrm_audit_state_add" },
	{ 0x6c31bd8, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0x4e0ad4b1, "xfrm_policy_insert" },
	{ 0x3b3fa0f9, "xfrm_audit_policy_add" },
	{ 0x8b831c40, "xfrm_find_acq_byseq" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf4c6663e, "init_net" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x611729ff, "xfrm_alloc_spi" },
	{ 0x3353747e, "xfrm_find_acq" },
	{ 0x6209f98c, "sock_no_bind" },
	{ 0x44f3c47f, "sock_no_connect" },
	{ 0xe2951022, "sock_no_socketpair" },
	{ 0x87b4d7af, "sock_no_accept" },
	{ 0x5e8affaf, "sock_no_getname" },
	{ 0xa09cbe21, "datagram_poll" },
	{ 0x1d5f046c, "sock_no_ioctl" },
	{ 0x7e0eb6dd, "sock_no_listen" },
	{ 0x7e177e23, "sock_no_shutdown" },
	{ 0x22d85698, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a03d291, "proto_register" },
	{ 0xc3c595b3, "register_pernet_subsys" },
	{ 0xc4b12961, "sock_register" },
	{ 0x9bf9174, "unregister_pernet_subsys" },
	{ 0x686a0884, "xfrm_register_km" },
	{ 0x87fe37a6, "proto_unregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc1f6d8ec, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad88e997, "sock_rfree" },
	{ 0x11f8c623, "skb_queue_tail" },
	{ 0x21cd7e00, "kfree_skb_reason" },
	{ 0xc9cb1a19, "__alloc_skb" },
	{ 0xc2656749, "skb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0x48dbd444, "xfrm_policy_walk" },
	{ 0xe71ee1d9, "xfrm_policy_walk_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1edabd48, "skb_recv_datagram" },
	{ 0x90cb80d0, "skb_copy_datagram_iter" },
	{ 0x14507e0e, "skb_free_datagram" },
	{ 0x40844617, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x10291ba, "skb_copy" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x258f49f4, "xfrm_state_walk_done" },
	{ 0x4a70dddc, "xfrm_state_walk" },
	{ 0x424dc12, "xfrm_state_lookup" },
	{ 0x7573d988, "remove_proc_entry" },
	{ 0xf8af0f2, "sock_i_ino" },
	{ 0xc073833f, "sock_i_uid" },
	{ 0x7c80737c, "from_kuid_munged" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0xa09bf57c, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0x110dd667, "xfrm_policy_flush" },
	{ 0x56d834e0, "km_policy_notify" },
	{ 0x53d8bbc4, "xfrm_state_flush" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "5212B06BDF22C61446E6D4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
