#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_rawmidi_drop_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_input, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_open, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_release, "", "");
KSYMTAB_FUNC(snd_rawmidi_info_select, "", "");
KSYMTAB_FUNC(snd_rawmidi_output_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_input_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_receive, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_read, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_empty, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_peek, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_ack, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit, "", "");
KSYMTAB_FUNC(snd_rawmidi_proceed, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_write, "", "");
KSYMTAB_FUNC(snd_rawmidi_init, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_new, "", "");
KSYMTAB_FUNC(snd_rawmidi_free, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_set_ops, "", "");

SYMBOL_CRC(snd_rawmidi_drop_output, 0x266c651a, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0xd304dde3, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0xf6fb70a7, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0x5830cb52, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0xf1d1eed8, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0xcfc0d4d2, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0x3524227b, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0x01d3d2ba, "");
SYMBOL_CRC(snd_rawmidi_receive, 0xc174d089, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0x5848e863, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0xcfd4e8ee, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0xa8b4e419, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0x35ddb353, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0x64501ddd, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0xba932436, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x16bf52f2, "");
SYMBOL_CRC(snd_rawmidi_init, 0x36627e53, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0x68c4014a, "");
SYMBOL_CRC(snd_rawmidi_free, 0x41e84ede, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x4f933e05, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x659a2e93, "put_device" },
	{ 0x8abbaca2, "snd_ctl_register_ioctl" },
	{ 0xfbb9cee9, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0xa035bacb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x6155ad4d, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x4ba3d7c0, "snd_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfdd58c4e, "snd_device_new" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5a4cbd48, "snd_ctl_unregister_ioctl" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x9692eec3, "snd_ctl_register_ioctl_compat" },
	{ 0x39de6c5f, "snd_info_create_card_entry" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x924494a7, "stream_open" },
	{ 0x53d66543, "pid_vnr" },
	{ 0x78e8593c, "snd_card_file_remove" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xea43e187, "snd_device_register" },
	{ 0x4772e8b0, "snd_register_device" },
	{ 0x41a6e9d1, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9c4b2af3, "snd_info_register" },
	{ 0x2588f370, "snd_ctl_unregister_ioctl_compat" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xc4f6966a, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ad799aa, "snd_seq_device_new" },
	{ 0x89a7805f, "snd_ctl_get_preferred_subdevice" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x194760ac, "param_array_ops" },
	{ 0xa0617fdc, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x24877fe4, "snd_unregister_oss_device" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaa7f0845, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "AC006AEF829787807BDB7A7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
