#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(__snd_printk, "_gpl", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0xd684f16a, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x4772e8b0, "");
SYMBOL_CRC(snd_unregister_device, 0x6155ad4d, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x3d90544b, "");
SYMBOL_CRC(snd_device_alloc, 0x4ba3d7c0, "_gpl");
SYMBOL_CRC(snd_card_new, 0x7eb27087, "");
SYMBOL_CRC(snd_devm_card_new, 0xa2155cd8, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x58ad43bf, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x2f401f46, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x6f37d33a, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x6f235614, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0xcb4370f3, "");
SYMBOL_CRC(snd_card_free, 0xa4617153, "");
SYMBOL_CRC(snd_card_set_id, 0x470494a7, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xd7471a97, "_gpl");
SYMBOL_CRC(snd_card_register, 0x6f100786, "");
SYMBOL_CRC(snd_component_add, 0x4cac7ca3, "");
SYMBOL_CRC(snd_card_file_add, 0xfbb9cee9, "");
SYMBOL_CRC(snd_card_file_remove, 0x78e8593c, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x4a4d4926, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xe185b30e, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xffa3d440, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0xfc3e6793, "");
SYMBOL_CRC(snd_ctl_notify, 0xb3a9b0e5, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xc1078205, "");
SYMBOL_CRC(snd_ctl_new1, 0x778b77a8, "");
SYMBOL_CRC(snd_ctl_free_one, 0xab58b90f, "");
SYMBOL_CRC(snd_ctl_add, 0xb2a6bb41, "");
SYMBOL_CRC(snd_ctl_replace, 0x538507ac, "");
SYMBOL_CRC(snd_ctl_remove, 0x698a957e, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xf227cd4f, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xc091f69e, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x50684521, "");
SYMBOL_CRC(snd_ctl_rename, 0xdfa9aa53, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x502f5b8a, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x97151847, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x3008da08, "");
SYMBOL_CRC(snd_ctl_find_id, 0x30206888, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x8abbaca2, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x9692eec3, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x5a4cbd48, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x2588f370, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x89a7805f, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x6c6fcc98, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x0acd0804, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x3a3218e5, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xc8b76923, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xcd0673af, "");
SYMBOL_CRC(snd_fasync_helper, 0x3ac894eb, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xfdd58c4e, "");
SYMBOL_CRC(snd_device_disconnect, 0x4b280657, "_gpl");
SYMBOL_CRC(snd_device_free, 0x34aeb5ad, "");
SYMBOL_CRC(snd_device_register, 0xea43e187, "");
SYMBOL_CRC(snd_device_get_state, 0xc348aa4a, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x95e4fd15, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x508e1a9c, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x39de6c5f, "");
SYMBOL_CRC(snd_info_free_entry, 0xa0617fdc, "");
SYMBOL_CRC(snd_info_register, 0x9c4b2af3, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x6be4a685, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x3d2554ab, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xaa7f0845, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x24877fe4, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x33f466a7, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x6802dc47, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x68694c72, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xca514003, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0xd32893d5, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0xdeae7de1, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xe4406a1e, "");
SYMBOL_CRC(snd_jack_new, 0x3166aec2, "");
SYMBOL_CRC(snd_jack_set_parent, 0xdf6d2eea, "");
SYMBOL_CRC(snd_jack_set_key, 0x03635dda, "");
SYMBOL_CRC(snd_jack_report, 0x6fc5af60, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x8f8acfab, "device_add" },
	{ 0xf895819d, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9ba7c466, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1eb7c9e3, "input_set_capability" },
	{ 0x2e44d40d, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xeccb6d51, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x3b72eb11, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd36ada27, "device_del" },
	{ 0x2a11dcc0, "proc_mkdir" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x64b413fd, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x40983c3, "input_event" },
	{ 0x91936441, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xf39a94d4, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb2dfe503, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34708ba0, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5a6f4e7a, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd7a6fa62, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x47c28f54, "_copy_from_iter" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x924494a7, "stream_open" },
	{ 0xe71cdc4b, "single_release" },
	{ 0x53d66543, "pid_vnr" },
	{ 0xc238a245, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc84ad0aa, "kmalloc_trace" },
	{ 0x77d06871, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x28cfefe1, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x60e22c74, "proc_symlink" },
	{ 0x67d1d2a9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf14b02bd, "single_open" },
	{ 0x5b2813d7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x41a6e9d1, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a55ddf5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x800f01c2, "input_allocate_device" },
	{ 0x3d3cdecf, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe948aeca, "_copy_to_iter" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc4f6966a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd5f54ab5, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0xa9c8f83, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x894d8780, "device_initialize" },
	{ 0x194760ac, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x5760c20f, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x73135e2b, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xafb89f2f, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1e19a8, "devm_remove_action" },
	{ 0x61cfdfa0, "import_ubuf" },
	{ 0x13ef85d1, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x39384afb, "devres_add" },
	{ 0x9b6f56d2, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc5d82f89, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5cbfa1c2, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xfc0535b3, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x659a2e93, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3600fcb6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3fb2e605, "register_sound_special_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x9f984513, "strrchr" },
	{ 0xa035bacb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "9D31012B4A20048EB931AFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
