#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x4b2aa15d, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x3f86d792, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xf840a870, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0xb20fd316, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x80805a5d, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xc3b89b11, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31d4b5ff, "device_property_read_u32_array" },
	{ 0xbd94f180, "devm_regulator_get" },
	{ 0x86b446db, "snd_soc_component_disable_pin_unlocked" },
	{ 0x84841a5, "_dev_info" },
	{ 0xcf35c3b0, "snd_soc_info_volsw" },
	{ 0x707fe5ba, "_dev_err" },
	{ 0x39761eac, "wm_adsp_event" },
	{ 0xa43fc1ef, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb3a9b0e5, "snd_ctl_notify" },
	{ 0xdcccd043, "wm_adsp_fw_enum" },
	{ 0x3415dbc2, "_dev_warn" },
	{ 0x7b672034, "wm_adsp2_component_probe" },
	{ 0x95aea559, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb64e2830, "wm_adsp2_preloader_get" },
	{ 0x51eb3a83, "snd_soc_info_enum_double" },
	{ 0x9dc32b21, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x47ea87c9, "devm_regmap_add_irq_chip" },
	{ 0x5b6cde53, "snd_soc_get_volsw" },
	{ 0x340e130e, "regmap_read" },
	{ 0x5e3f24e0, "snd_soc_put_volsw" },
	{ 0x7c1dc7ea, "wm_adsp_fw_get" },
	{ 0xfc9413d2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdf1a12b8, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xafd64d42, "regmap_bulk_read" },
	{ 0xc1e11924, "regmap_update_bits_base" },
	{ 0x288fc90c, "regulator_disable" },
	{ 0x971edbb2, "dev_err_probe" },
	{ 0xb1d4c056, "regmap_multi_reg_write" },
	{ 0x1c969b7b, "snd_soc_dapm_get_volsw" },
	{ 0xee401c24, "__pm_runtime_suspend" },
	{ 0x54167fed, "regmap_register_patch" },
	{ 0x5d47cf9, "snd_soc_dapm_get_enum_double" },
	{ 0x2b058e96, "__pm_runtime_use_autosuspend" },
	{ 0xf0a3a59f, "wm_halo_init" },
	{ 0xdbc5e373, "wm_adsp_early_event" },
	{ 0x5d7d9b2, "__pm_runtime_disable" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xaae06e1, "snd_soc_dapm_put_enum_double" },
	{ 0x5ffd4a83, "wm_adsp_fw_put" },
	{ 0xf31d17eb, "regulator_enable" },
	{ 0x7400e0b0, "regcache_cache_only" },
	{ 0xb5adf464, "regcache_sync" },
	{ 0xa084a2df, "regmap_write" },
	{ 0xadb2d6b5, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd549f904, "pm_runtime_set_autosuspend_delay" },
	{ 0xf193956d, "gpiod_set_value_cansleep" },
	{ 0x902ae48f, "snd_soc_card_get_kcontrol_locked" },
	{ 0x8b84333b, "wm_adsp2_remove" },
	{ 0x2251d915, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x36bee585, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xda3407b3, "devm_gpiod_get_optional" },
	{ 0x100f5226, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf784f6eb, "__pm_runtime_set_status" },
	{ 0x1ed13137, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4f4bfc7, "pm_runtime_enable" },
	{ 0xc1a867ef, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "5F80EC7BF5B6BCD08BB1EE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
